Dropdowns

Bootstrap 5 Dropdown component

Responsive dropdown/caret built with Bootstrap 5. Examples of navbar dropdown, dropdown list, submenu, dropdown toggle, dropdown hover, hamburger icon & more.

Dropdowns are responsible for toggleable (collapsible) display a list of links.

Toggle contextual overlays for displaying lists of links and more with the MDB dropdown plugin.

Note: Read the API tab to find all available options and advanced customization

Required ES init: Dropdown *
* UMD autoinits are enabled by default. This means that you don't need to initialize the component manually. However if you are using MDBootstrap ES format then you should pass the required components to the initMDB method.

Basic examples

Wrap the dropdown’s toggle (your button or link) and the dropdown menu within .dropdown element that declares position: relative;. Dropdowns can be triggered from <a> or <button> elements to better fit your potential needs. The examples shown here use semantic <ul> elements where appropriate, but custom markup is supported.

Regular button

Any single .btn can be turned into a dropdown toggle with some markup changes. Here’s how you can put them to work with either <button> elements:

        
            
              <div class="dropdown">
                <button
                  class="btn btn-primary dropdown-toggle"
                  type="button"
                  id="dropdownMenuButton"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  Dropdown button
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                </ul>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple });
            
        
    

Colors

You can do this with any button variant:

        
            
            <!-- Primary -->
            <div class="btn-group">
              <button type="button" class="btn btn-primary dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Secondary -->
            <div class="btn-group">
              <button type="button" class="btn btn-secondary dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Success -->
            <div class="btn-group">
              <button type="button" class="btn btn-success dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Info -->
            <div class="btn-group">
              <button type="button" class="btn btn-info dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Warning -->
            <div class="btn-group">
              <button type="button" class="btn btn-warning dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Danger -->
            <div class="btn-group">
              <button type="button" class="btn btn-danger dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Dark -->
            <div class="btn-group">
              <button type="button" class="btn btn-dark dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Light -->
            <div class="btn-group shadow-0">
              <button type="button" class="btn btn-light dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Link -->
            <div class="btn-group shadow-0">
              <button type="button" class="btn btn-link dropdown-toggle" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Action
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

Split button

Similarly, create split button dropdowns with virtually the same markup as single button dropdowns, but with the addition of .dropdown-toggle-split for proper spacing around the dropdown caret.

We use this extra class to reduce the horizontal padding on either side of the caret by 25% and remove the margin-left that’s added for regular button dropdowns. Those extra changes keep the caret centered in the split button and provide a more appropriately sized hit area next to the main button.

        
            
            <!-- Example split primary button -->
            <div class="btn-group">
              <button type="button" class="btn btn-primary">Action</button>
              <button
                type="button"
                class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                data-mdb-dropdown-init
                data-mdb-ripple-init
                aria-expanded="false"
              >
                <span class="visually-hidden">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

Sizing

Button dropdowns work with buttons of all sizes, including default and split dropdown buttons.

        
            
            <!-- Large button groups (default and split) -->
            <div class="btn-group">
              <button
                class="btn btn-primary btn-lg dropdown-toggle"
                type="button"
                data-mdb-dropdown-init
                data-mdb-ripple-init
                aria-expanded="false"
              >
                Large button
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <div class="btn-group">
              <button class="btn btn-primary btn-lg" type="button">Large split button</button>
              <button
                type="button"
                class="btn btn-lg btn-primary dropdown-toggle dropdown-toggle-split"
                data-mdb-dropdown-init
                data-mdb-ripple-init
                aria-expanded="false"
              >
                <span class="visually-hidden">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>

            <!-- Small button groups (default and split) -->
            <div class="btn-group">
              <button class="btn btn-primary btn-sm dropdown-toggle" type="button" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Small button
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>
            
            <div class="btn-group">
              <button class="btn btn-primary btn-sm" type="button">Small split button</button>
              <button
                type="button"
                class="btn btn-sm btn-primary dropdown-toggle dropdown-toggle-split"
                data-mdb-dropdown-init
                data-mdb-ripple-init
                aria-expanded="false"
              >
                <span class="visually-hidden">Toggle Dropdown</span>
              </button>
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

Directions

Dropup

Trigger dropdown menus above elements by adding .dropup to the parent element.

        
            
              <!-- Default dropup button -->
              <div class="btn-group dropup">
                <button 
                type="button" 
                class="btn btn-primary dropdown-toggle" 
                data-mdb-dropdown-init
                data-mdb-ripple-init aria-expanded="false">
                  Dropup
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>

              <!-- Split dropup button -->
              <div class="btn-group dropup">
                <button type="button" class="btn btn-primary">Split dropup</button>
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  <span class="visually-hidden">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple });
            
        
    

Dropright

Trigger dropdown menus at the right of the elements by adding .dropend to the parent element.

        
            
              <!-- Default dropright button -->
              <div class="btn-group dropend">
                <button 
                type="button" class="btn btn-primary dropdown-toggle" 
                data-mdb-dropdown-init
                data-mdb-ripple-init aria-expanded="false">
                  Dropright
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>

              <!-- Split dropright button -->
              <div class="btn-group dropend">
                <button type="button" class="btn btn-primary">Split dropright</button>
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  <span class="visually-hidden">Toggle Dropright</span>
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple });
            
        
    

Dropleft

Trigger dropdown menus at the left of the elements by adding .dropstart to the parent element.

        
            
              <!-- Default dropleft button -->
              <div class="btn-group dropstart">
                <button 
                type="button" 
                class="btn btn-primary dropdown-toggle" 
                data-mdb-dropdown-init
                data-mdb-ripple-init aria-expanded="false">
                  Dropleft
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>

              <!-- Split dropleft button -->
              <div class="btn-group">
                <div class="btn-group dropstart" role="group">
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                    data-mdb-dropdown-init
                    data-mdb-ripple-init
                    aria-expanded="false"
                  >
                    <span class="visually-hidden">Toggle Dropleft</span>
                  </button>
                  <ul class="dropdown-menu">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                    <li><hr class="dropdown-divider" /></li>
                    <li><a class="dropdown-item" href="#">Separated link</a></li>
                  </ul>
                </div>
                <button type="button" class="btn btn-primary">Split dropleft</button>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple });
            
        
    

Menu items

You can use <a> or <button> elements as dropdown items.

        
            
            <div class="dropdown">
              <button 
              class="btn btn-primary dropdown-toggle" 
              type="button" 
              id="dropdownMenu2" 
              data-mdb-dropdown-init
              data-mdb-ripple-init aria-expanded="false">
                Dropdown
              </button>
              <ul class="dropdown-menu" aria-labelledby="dropdownMenu2">
                <li><button class="dropdown-item" type="button">Action</button></li>
                <li><button class="dropdown-item" type="button">Another action</button></li>
                <li><button class="dropdown-item" type="button">Something else here</button></li>
              </ul>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

You can also create non-interactive dropdown items with .dropdown-item-text. Feel free to style further with custom CSS or text utilities.

        
            
            <ul class="dropdown-menu">
              <li><span class="dropdown-item-text">Dropdown item text</span></li>
              <li><a class="dropdown-item" href="#">Action</a></li>
              <li><a class="dropdown-item" href="#">Another action</a></li>
              <li><a class="dropdown-item" href="#">Something else here</a></li>
            </ul>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

Active

Add .active to items in the dropdown to style them as active. To convey the active state to assistive technologies, use the aria-current attribute — using the page value for the current page, or true for the current item in a set.

        
            
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Regular link</a></li>
                <li><a class="dropdown-item active" href="#" aria-current="true">Active link</a></li>
                <li><a class="dropdown-item" href="#">Another link</a></li>
              </ul>
            
        
    

Disabled

Add .disabled to items in the dropdown to style them as disabled.

        
            
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Regular link</a></li>
                <li><a class="dropdown-item disabled">Disabled link</a></li>
                <li><a class="dropdown-item" href="#">Another link</a></li>
              </ul>
            
        
    

Menu alignment

By default, a dropdown menu is automatically positioned 100% from the top and along the left side of its parent. Add .dropdown-menu-end to a .dropdown-menu to right align the dropdown menu.

        
            
            <div class="btn-group">
              <button 
              type="button" 
              class="btn btn-primary dropdown-toggle" 
              data-mdb-dropdown-init
              data-mdb-ripple-init 
              aria-expanded="false">
                Right-aligned menu
              </button>
              <ul class="dropdown-menu dropdown-menu-end">
                <li><button class="dropdown-item" type="button">Action</button></li>
                <li><button class="dropdown-item" type="button">Another action</button></li>
                <li><button class="dropdown-item" type="button">Something else here</button></li>
              </ul>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

Responsive alignment

If you want to use responsive alignment, disable dynamic positioning by adding the data-mdb-display="static" attribute and use the responsive variation classes.

To align right the dropdown menu with the given breakpoint or larger, add .dropdown-menu{-sm|-md|-lg|-xl|-xxl}-end.

        
            
              <div class="btn-group">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  data-mdb-display="static"
                  aria-expanded="false"
                >
                  Left-aligned but right aligned when large screen
                </button>
                <ul class="dropdown-menu dropdown-menu-lg-end">
                  <li><button class="dropdown-item" type="button">Action</button></li>
                  <li><button class="dropdown-item" type="button">Another action</button></li>
                  <li><button class="dropdown-item" type="button">Something else here</button></li>
                </ul>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple });
            
        
    

To align left the dropdown menu with the given breakpoint or larger, add .dropdown-menu-end and .dropdown-menu{-sm|-md|-lg|-xl|-xxl}-start.

        
            
              <div class="btn-group">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  data-mdb-display="static"
                  aria-expanded="false"
                >
                  Right-aligned but left aligned when large screen
                </button>
                <ul class="dropdown-menu dropdown-menu-end dropdown-menu-lg-start">
                  <li><button class="dropdown-item" type="button">Action</button></li>
                  <li><button class="dropdown-item" type="button">Another action</button></li>
                  <li><button class="dropdown-item" type="button">Something else here</button></li>
                </ul>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple });
            
        
    

Note that you don’t need to add a data-mdb-display="static" attribute to dropdown buttons in navbars, since Popper isn’t used in navbars.

Alignment options

Taking most of the options shown above, here’s a small kitchen sink demo of various dropdown alignment options in one place.

Note: For the secondary buttons it may be required to remove the shadow with .shadow-0 class.

        
            
              <div class="btn-group shadow-0 mb-2">
                <button
                  class="btn btn-secondary dropdown-toggle"
                  type="button"
                  id="dropdownMenuButton"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  Dropdown
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                </ul>
              </div>

              <div class="btn-group shadow-0 mb-2">
                <button
                  type="button"
                  class="btn btn-secondary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  Right-aligned menu
                </button>
                <ul class="dropdown-menu dropdown-menu-end">
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                </ul>
              </div>

              <div class="btn-group shadow-0 mb-2">
                <button
                  type="button"
                  class="btn btn-secondary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  data-mdb-display="static"
                  aria-expanded="false"
                >
                  Left-aligned, right-aligned lg
                </button>
                <ul class="dropdown-menu dropdown-menu-lg-end">
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                </ul>
              </div>

              <div class="btn-group shadow-0 mb-2">
                <button
                  type="button"
                  class="btn btn-secondary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  data-mdb-display="static"
                  aria-expanded="false"
                >
                  Right-aligned, left-aligned lg
                </button>
                <ul class="dropdown-menu dropdown-menu-end dropdown-menu-lg-start">
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                </ul>
              </div>

              <div class="btn-group shadow-0 mb-2 dropstart">
                <button
                  type="button"
                  class="btn btn-secondary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  Dropstart
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                </ul>
              </div>

              <div class="btn-group shadow-0 mb-2 dropend">
                <button
                  type="button"
                  class="btn btn-secondary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  Dropend
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                </ul>
              </div>

              <div class="btn-group shadow-0 mb-2 dropup">
                <button
                  type="button"
                  class="btn btn-secondary dropdown-toggle"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                >
                  Dropup
                </button>
                <ul class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                  <li><a class="dropdown-item" href="#">Menu item</a></li>
                </ul>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple });
            
        
    

Menu content

Headers

Add a header to label sections of actions in any dropdown menu.

        
            
              <ul class="dropdown-menu">
                <li><h6 class="dropdown-header">Dropdown header</h6></li>
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
              </ul>
            
        
    

Dividers

Separate groups of related menu items with a divider.

        
            
              <ul class="dropdown-menu">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
                <li><hr class="dropdown-divider" /></li>
                <li><a class="dropdown-item" href="#">Separated link</a></li>
              </ul>
            
        
    

Text

Place any freeform text within a dropdown menu with text and use spacing utilities. Note that you’ll likely need additional sizing styles to constrain the menu width.

        
            
              <div class="dropdown-menu p-4 text-muted" style="max-width: 200px;">
                <p>Some example text that's free-flowing within the dropdown menu.</p>
                <p class="mb-0">And this is more example text.</p>
              </div>
            
        
    

Forms

Put a form within a dropdown menu, or make it into a dropdown menu, and use margin or padding utilities to give it the negative space you require.

        
            
              <div class="dropdown-menu">
                <form class="px-4 py-3">
                  <!-- Email input -->
                  <div class="form-outline mb-4" data-mdb-input-init  >
                    <input type="email" id="form1Example1" class="form-control" />
                    <label class="form-label" for="form1Example1">Email address</label>
                  </div>

                  <!-- Password input -->
                  <div class="form-outline mb-4" data-mdb-input-init  >
                    <input type="password" id="form1Example2" class="form-control" />
                    <label class="form-label" for="form1Example2">Password</label>
                  </div>

                  <!-- 2 column grid layout for inline styling -->
                  <div class="row mb-4">
                    <div class="col d-flex justify-content-center">
                      <!-- Checkbox -->
                      <div class="form-check">
                        <input class="form-check-input" type="checkbox" value="" id="form1Example3" checked/>
                        <label class="form-check-label" for="form1Example3"> Remember me </label>
                      </div>
                    </div>

                    <div class="col">
                      <!-- Simple link -->
                      <a href="#!">Forgot password?</a>
                    </div>
                  </div>

                  <!-- Submit button -->
                  <button type="submit" class="btn btn-primary btn-block" data-mdb-ripple-init>Sign in</button>
                </form>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="#">New around here? Sign up</a>
                <a class="dropdown-item" href="#">Forgot password?</a>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, Input, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple, Input });
            
        
    
        
            
              <div class="dropdown">
                <button 
                class="btn btn-primary dropdown-toggle" 
                type="button" 
                data-mdb-dropdown-init
                data-mdb-ripple-init 
                aria-expanded="false">
                  Dropdown form
                </button>
                <div class="dropdown-menu" style="width: 320px">
                  <form class="px-4 py-3">
                    <!-- Email input -->
                    <div class="form-outline mb-4" data-mdb-input-init>
                      <input type="email" id="form2Example1" class="form-control" />
                      <label class="form-label" for="form2Example1">Email address</label>
                    </div>

                    <!-- Password input -->
                    <div class="form-outline mb-4" data-mdb-input-init>
                      <input type="password" id="form2Example2" class="form-control" />
                      <label class="form-label" for="form2Example2">Password</label>
                    </div>

                    <!-- 2 column grid layout for inline styling -->
                    <div class="row mb-4">
                      <div class="col d-flex justify-content-center">
                        <!-- Checkbox -->
                        <div class="form-check">
                          <input class="form-check-input" type="checkbox" value="" id="form2Example3" checked/>
                          <label class="form-check-label" for="form2Example3"> Remember me </label>
                        </div>
                      </div>

                      <div class="col">
                        <!-- Simple link -->
                        <a href="#!">Forgot password?</a>
                      </div>
                    </div>

                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-block" data-mdb-ripple-init>Sign in</button>
                  </form>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item" href="#">New around here? Sign up</a>
                  <a class="dropdown-item" href="#">Forgot password?</a>
                </div>
              </div>
            
        
    
        
            
              // Initialization for ES Users
              import { Dropdown, Ripple, Input, initMDB } from "mdb-ui-kit";

              initMDB({ Dropdown, Ripple, Input });
            
        
    

Remove animation

To remove the fade animation on click, add data-mdb-dropdown-animation="off" attribute to the dropdown button.

        
            
            <div class="dropdown">
              <button
                class="btn btn-primary dropdown-toggle"
                type="button"
                id="dropdownExampleAnimation"
                data-mdb-dropdown-init
                data-mdb-ripple-init
                aria-expanded="false"
                data-mdb-dropdown-animation="off"
              >
                Dropdown button
              </button>
              <ul class="dropdown-menu" aria-labelledby="dropdownExampleAnimation">
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
              </ul>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

Dropdown options

Use data-mdb-offset or data-mdb-reference to change the location of the dropdown.

        
            
            <div class="d-flex">
              <div class="dropdown me-1">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  id="dropdownMenuOffset"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                  data-mdb-offset="10,20"
                >
                  Offset
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuOffset">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                </ul>
              </div>
              <div class="btn-group">
                <button type="button" class="btn btn-primary">Reference</button>
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                  id="dropdownMenuReference"
                  data-mdb-dropdown-init
                  data-mdb-ripple-init
                  aria-expanded="false"
                  data-mdb-reference="parent"
                >
                  <span class="visually-hidden">Toggle Dropdown</span>
                </button>
                <ul class="dropdown-menu" aria-labelledby="dropdownMenuReference">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
            </div>
          
        
    
        
            
            // Initialization for ES Users
            import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

            initMDB({ Dropdown, Ripple });
          
        
    

Auto close behavior

By default, the dropdown menu is closed when clicking inside or outside the dropdown menu. You can use the autoClose option to change this behavior of the dropdown.

        
            
                  <div class="btn-group">
                    <button class="btn btn-secondary dropdown-toggle" 
                    type="button" 
                    data-mdb-dropdown-init
                    data-mdb-ripple-init 
                    data-mdb-auto-close="true" 
                    aria-expanded="false">
                      Default dropdown
                    </button>
                    <ul class="dropdown-menu">
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                    </ul>
                  </div>

                  <div class="btn-group">
                    <button class="btn btn-secondary dropdown-toggle" 
                    type="button" 
                    data-mdb-dropdown-init
                    data-mdb-ripple-init 
                    data-mdb-auto-close="outside" 
                    aria-expanded="false">
                      Clickable outside
                    </button>
                    <ul class="dropdown-menu">
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                    </ul>
                  </div>

                  <div class="btn-group">
                    <button class="btn btn-secondary dropdown-toggle" 
                    type="button" 
                    data-mdb-dropdown-init
                    data-mdb-ripple-init 
                    data-mdb-auto-close="inside" 
                    aria-expanded="false">
                      Clickable inside
                    </button>
                    <ul class="dropdown-menu">
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                    </ul>
                  </div>

                  <div class="btn-group">
                    <button class="btn btn-secondary dropdown-toggle" 
                    type="button" 
                    data-mdb-dropdown-init
                    data-mdb-ripple-init 
                    data-mdb-auto-close="false" 
                    aria-expanded="false">
                      Manual close
                    </button>
                    <ul class="dropdown-menu">
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                      <li><a class="dropdown-item" href="#">Menu item</a></li>
                    </ul>
                  </div>
                
        
    
        
            
                  // Initialization for ES Users
                  import { Dropdown, Ripple, initMDB } from "mdb-ui-kit";

                  initMDB({ Dropdown, Ripple });
                
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Dropdowns - API


Import

Importing components depends on how your application works. If you intend to use the MDBootstrap ES format, you must first import the component and then initialize it with the initMDB method. If you are going to use the UMD format, just import the mdb-ui-kit package.

        
            
          import { Dropdown, initMDB } from "mdb-ui-kit";
          
          initMDB({ Dropdown });
        
        
    
        
            
          import "mdb-ui-kit"
        
        
    

Usage

Via data attributes or JavaScript, the dropdown plugin toggles hidden content (dropdown menus) by toggling the .show class on the parent list item.

Note:
On touch-enabled devices, opening a dropdown adds empty mouseover handlers to the immediate children of the <body> element. This admittedly ugly hack is necessary to work around a quirk in iOS’ event delegation, which would otherwise prevent a tap anywhere outside of the dropdown from triggering the code that closes the dropdown. Once the dropdown is closed, these additional empty mouseover handlers are removed.

Via data attributes

Using the Dropdown component doesn't require any additional JavaScript code - simply add data-mdb-dropdown-init attribute to .dropdown-toggle and use other data attributes to set all options. For ES format, you must first import and call the initMDB method.

        
            
            <div class="dropdown">
              <button id="dLabel" type="button" data-mdb-dropdown-init data-mdb-ripple-init aria-expanded="false">
                Dropdown trigger
              </button>
              <ul class="dropdown-menu" aria-labelledby="dLabel">
                ...
              </ul>
            </div>
          
        
    

Via JavaScript

        
            
            const element = document.querySelector('.dropdown-toggle');
            const instance = new Dropdown(element);
          
        
    
        
            
            const element = document.querySelector('.dropdown-toggle');
            const instance = new mdb.Dropdown(element);
          
        
    

Options

Options can be passed via data attributes or JavaScript. For data attributes, append the option name to data-mdb-, as in data-mdb-dropdown-animation="on".

Name Type Default Description
autoClose boolean | string true

Configure the auto close behavior of the dropdown:

  • true - the dropdown will be closed by clicking outside or inside the dropdown menu.
  • false - the dropdown will be closed by clicking the toggle button and manually calling hide or toggle method. (Also will not be closed by pressing esc key)
  • 'inside' - the dropdown will be closed (only) by clicking inside the dropdown menu.
  • 'outside' - the dropdown will be closed (only) by clicking outside the dropdown menu.
boundary string | element 'clippingParents' Overflow constraint boundary of the dropdown menu (applies only to Popper's preventOverflow modifier). By default it's 'clippingParents' and can accept an HTMLElement reference (via JavaScript only). For more information refer to Popper's detectOverflow docs.
display string 'dynamic' By default, we use Popper for dynamic positioning. Disable this with static.
dropdownAnimation string 'on' Turn on / off dropdown animation.
offset array | string | function [0, 2]

Offset of the dropdown relative to its target.

When a function is used to determine the offset, it is called with an object containing the offset data as its first argument. The function must return an object with the same structure. The triggering element DOM node is passed as the second argument.

For more information refer to Popper's offset docs.

popperConfig null | object | function null

To change Bootstrap's default Popper config, see Popper's configuration.

When a function is used to create the Popper configuration, it's called with an object that contains the Bootstrap's default Popper configuration. It helps you use and merge the default with your own configuration. The function must return a configuration object for Popper.

reference string | element | object 'toggle' Reference element of the dropdown menu. Accepts the values of 'toggle', 'parent', an HTMLElement reference or an object providing getBoundingClientRect. For more information refer to Popper's constructor docs and virtual element docs.

Note when boundary is set to any value other than 'scrollParent', the style position: static is applied to the .dropdown container.


Methods

Method Description Example
toggle Toggles the dropdown menu of a given navbar or tabbed navigation. myDropdown.toggle()
show Shows the dropdown menu of a given navbar or tabbed navigation. myDropdown.show()
hide Hides the dropdown menu of a given navbar or tabbed navigation. myDropdown.hide()
update Updates the position of an element's dropdown by recomputing dropdown position and updates it if needed. myDropdown.update()
dispose Destroys an element's dropdown. myDropdown.dispose()
getInstance Static method which allows you to get the dropdown instance associated with a DOM element. Dropdown.getInstance()
getOrCreateInstance Static method which allows you to get the dropdown instance associated with a DOM element or create a new one in case it wasn't initialized. Dropdown.getOrCreateInstance()
        
            
            const myDropdown = document.getElementById('myDropdown');
            const myDropdownInstance = new Dropdown(myDropdown);
            myDropdownInstance.show();
          
        
    
        
            
            const myDropdown = document.getElementById('myDropdown');
            const myDropdownInstance = new mdb.Dropdown(myDropdown);
            myDropdownInstance.show();
          
        
    

Events

All dropdown events are fired at the toggling element and then bubbled up. So you can also add event listeners on the .dropdown-menu’s parent element. hide.mdb.dropdown and hidden.mdb.dropdown events have a clickEvent property (only when the original Event type is click) that contains an Event Object for the click event.

Method Description
show.mdb.dropdown Fires immediately when the show instance method is called.
shown.mdb.dropdown Fired when the dropdown has been made visible to the user and CSS transitions have completed.
hide.mdb.dropdown Fires immediately when the hide instance method has been called.
hidden.mdb.dropdown Fired when the dropdown has finished being hidden from the user and CSS transitions have completed.
        
            
            const myDropdown = document.getElementById('myDropdown');
            myDropdown.addEventListener('show.mdb.dropdown', () => {
              // do something...
            });
          
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, dropdown now uses local CSS variables on .dropdown-menu, .dropdown-item and .dropdown-divider for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .dropdown-menu
          --#{$prefix}dropdown-zindex: #{$zindex-dropdown};
          --#{$prefix}dropdown-min-width: #{$dropdown-min-width};
          --#{$prefix}dropdown-padding-x: #{$dropdown-padding-x};
          --#{$prefix}dropdown-padding-y: #{$dropdown-padding-y};
          --#{$prefix}dropdown-spacer: #{$dropdown-spacer};
          @include rfs($dropdown-font-size, --#{$prefix}dropdown-font-size);
          --#{$prefix}dropdown-color: #{$dropdown-color};
          --#{$prefix}dropdown-bg: #{$dropdown-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-border-color};
          --#{$prefix}dropdown-border-radius: #{$dropdown-border-radius};
          --#{$prefix}dropdown-border-width: #{$dropdown-border-width};
          --#{$prefix}dropdown-inner-border-radius: #{$dropdown-inner-border-radius};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-divider-bg};
          --#{$prefix}dropdown-divider-margin-y: #{$dropdown-divider-margin-y};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-link-hover-color};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-link-disabled-color};
          --#{$prefix}dropdown-item-padding-x: #{$dropdown-item-padding-x};
          --#{$prefix}dropdown-item-padding-y: #{$dropdown-item-padding-y};
          --#{$prefix}dropdown-header-color: #{$dropdown-header-color};
          --#{$prefix}dropdown-header-padding-x: #{$dropdown-header-padding-x};
          --#{$prefix}dropdown-header-padding-y: #{$dropdown-header-padding-y};
          --#{$prefix}dropdown-item-border-radius: #{$dropdown-item-border-radius};
          --#{$prefix}dropdown-menu-animated-animation-duration: #{$dropdown-menu-animated-animation-duration};
          --#{$prefix}dropdown-menu-animated-animation-timing-function: #{$dropdown-menu-animated-animation-timing-function};

          // .dropdown-item
          --#{$prefix}dropdown-state-color: #{$dropdown-state-color};
          --#{$prefix}dropdown-state-background-color: #{$dropdown-state-background-color};

          // .dropdown-divider
          --#{$prefix}dropdown-divider-border-top-width: #{$dropdown-divider-border-top-width};
          --#{$prefix}dropdown-divider-border-top-bg: #{$dropdown-divider-bg};

          // .dropdown-menu-dark
          --#{$prefix}dropdown-color: #{$dropdown-dark-color};
          --#{$prefix}dropdown-bg: #{$dropdown-dark-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-dark-border-color};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-dark-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-dark-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-dark-link-hover-color};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-dark-divider-bg};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-dark-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-dark-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-dark-link-disabled-color};
          --#{$prefix}dropdown-header-color: #{$dropdown-dark-header-color};
        
        
    

SCSS variables

        
            
            $zindex-dropdown: 1000;
            $dropdown-min-width: 10rem;
            $dropdown-color: var(--#{$prefix}surface-color);
            $dropdown-padding-x: 0;
            $dropdown-padding-y: 0.5rem;
            $dropdown-margin-top: 0.125rem;
            $dropdown-box-shadow: $box-shadow-4;
            $dropdown-font-size: 0.875rem;
            $dropdown-item-border-radius: 0.5rem;
            $dropdown-item-padding-y: 0.5rem;
            $dropdown-item-padding-x: 1rem;
            $dropdown-border-radius: 0.5rem;
            $dropdown-divider-bg: var(--#{$prefix}divider-color);
            $dropdown-divider-border-top-width: 2px;
            $dropdown-divider-margin-y: $spacer * 0.5;
            $dropdown-state-color: var(--#{$prefix}surface-color);
            $dropdown-state-background-color: var(--#{$prefix}highlight-bg-color);
            $dropdown-menu-animated-animation-duration: 0.55s;
            $dropdown-menu-animated-animation-timing-function: ease;
            $dropdown-animation-duration: 1s;
            $dropdown-spacer: 0.125rem;
            $dropdown-bg: var(--#{$prefix}surface-bg);
            $dropdown-border-color: var(--#{$prefix}border-color-translucent);
            $dropdown-border-width: var(--#{$prefix}border-width);
            $dropdown-inner-border-radius: calc(
              #{$dropdown-border-radius} - #{$dropdown-border-width}
            )
            $dropdown-link-color: $dropdown-color;
            $dropdown-link-hover-color: $dropdown-link-color;
            $dropdown-link-hover-bg: var(--#{$prefix}tertiary-bg);
            $dropdown-link-active-color: $component-active-color;
            $dropdown-link-active-bg: $component-active-bg;
            $dropdown-link-disabled-color: var(--#{$prefix}tertiary-color);
            $dropdown-header-color: rgba(var(--#{$prefix}emphasis-color-rgb), 0.55);
            $dropdown-header-padding-x: $dropdown-item-padding-x;
            $dropdown-header-padding-y: $dropdown-padding-y;
            $dropdown-header-padding: $dropdown-header-padding-y $dropdown-header-padding-x;
            
            // dark
            $dropdown-dark-color: $gray-300;
            $dropdown-dark-bg: $gray-800;
            $dropdown-dark-border-color: $dropdown-border-color;
            $dropdown-dark-divider-bg: $dropdown-divider-bg;
            $dropdown-dark-box-shadow: null;
            $dropdown-dark-link-color: $dropdown-dark-color;
            $dropdown-dark-link-hover-color: $white;
            $dropdown-dark-link-hover-bg: rgba($white, 0.15);
            $dropdown-dark-link-active-color: $dropdown-link-active-color;
            $dropdown-dark-link-active-bg: $dropdown-link-active-bg;
            $dropdown-dark-link-disabled-color: $gray-500;
            $dropdown-dark-header-color: $gray-500;

Dropdowns

Angular Bootstrap 5 Dropdown component

Toggle contextual overlays for displaying lists of links and more with the MDB dropdown plugin.

Note: Read the API tab to find all available options and advanced customization


Basic examples

Wrap the dropdown’s toggle (your button or link) and the dropdown menu within .dropdown and mdbDropdown, or another element that declares position: relative;. Dropdowns can be triggered from <a> or <button> within mdbDropdownTrigger elements to better fit your potential needs. The examples shown here use semantic <ul> elements where appropriate, but custom markup is supported.

Regular button

Any single .btn can be turned into a dropdown toggle with some markup changes. Here’s how you can put them to work with either <button> elements:

        
            
                <div mdbDropdown class="dropdown">
                  <button
                    class="btn btn-primary dropdown-toggle"
                    type="button"
                    id="dropdownMenuButton"
                    aria-expanded="false"
                    mdbDropdownToggle
                  >
                    Dropdown button
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                  </ul>
                </div>
              
        
    

Colors

You can do this with any button variant:

        
            
              <!-- Primary -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Secondary -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Success -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-success dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Info -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-info dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Warning -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-warning dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Danger -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-danger dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Danger -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-danger dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Dark -->
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-dark dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Light -->
              <div mdbDropdown class="btn-group shadow-0">
                <button
                  type="button"
                  class="btn btn-light dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Link -->
              <div mdbDropdown class="btn-group shadow-0">
                <button
                  type="button"
                  class="btn btn-link dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Action
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
            
        
    

Split button

Similarly, create split button dropdowns with virtually the same markup as single button dropdowns, but with the addition of .dropdown-toggle-split for proper spacing around the dropdown caret.

We use this extra class to reduce the horizontal padding on either side of the caret by 25% and remove the margin-left that’s added for regular button dropdowns. Those extra changes keep the caret centered in the split button and provide a more appropriately sized hit area next to the main button.

        
            
              <div mdbDropdown class="btn-group">
                <button type="button" class="btn btn-primary">Action</button>
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  <span class="visually-hidden">Toggle Dropdown</span>
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li>
                    <hr class="dropdown-divider" />
                  </li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
            
        
    

Sizing

Button dropdowns work with buttons of all sizes, including default and split dropdown buttons.

        
            
              <!-- Large button groups (default and split) -->
              <div mdbDropdown class="btn-group">
                <button
                  class="btn btn-primary btn-lg dropdown-toggle"
                  type="button"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Large button
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <div mdbDropdown class="btn-group">
                <button class="btn btn-primary btn-lg" type="button">Large split button</button>
                <button
                  type="button"
                  class="btn btn-lg btn-primary dropdown-toggle dropdown-toggle-split"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  <span class="visually-hidden">Toggle Dropdown</span>
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <!-- Small button groups (default and split) -->
              <div mdbDropdown class="btn-group">
                <button
                  class="btn btn-primary btn-sm dropdown-toggle"
                  type="button"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Small button
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
              <div mdbDropdown class="btn-group">
                <button class="btn btn-primary btn-sm" type="button">Small split button</button>
                <button
                  type="button"
                  class="btn btn-sm btn-primary dropdown-toggle dropdown-toggle-split"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  <span class="visually-hidden">Toggle Dropdown</span>
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>
            
        
    

Directions

Dropup

Trigger dropdown menus above elements by adding .dropup to the parent element.

        
            
                <!-- Default dropup button -->
                <div mdbDropdown class="btn-group dropup">
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle"
                    mdbDropdownToggle
                    aria-expanded="false"
                  >
                    Dropup
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                    <li><hr class="dropdown-divider" /></li>
                    <li><a class="dropdown-item" href="#">Separated link</a></li>
                  </ul>
                </div>
                <!-- Split dropup button -->
                <div mdbDropdown class="btn-group dropup">
                  <button type="button" class="btn btn-primary">Split dropup</button>
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                    mdbDropdownToggle
                    aria-expanded="false"
                  >
                    <span class="visually-hidden">Toggle Dropdown</span>
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                    <li><hr class="dropdown-divider" /></li>
                    <li><a class="dropdown-item" href="#">Separated link</a></li>
                  </ul>
                </div>
              
        
    

Dropright

Trigger dropdown menus at the right of the elements by adding .dropend to the parent element.

        
            
                <!-- Default dropright button -->
                <div mdbDropdown class="btn-group dropend">
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle"
                    mdbDropdownToggle
                    aria-expanded="false"
                  >
                    Dropright
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                    <li><hr class="dropdown-divider" /></li>
                    <li><a class="dropdown-item" href="#">Separated link</a></li>
                  </ul>
                </div>
                <!-- Split dropright button -->
                <div mdbDropdown class="btn-group dropend">
                  <button type="button" class="btn btn-primary">Split dropright</button>
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                    mdbDropdownToggle
                    aria-expanded="false"
                  >
                    <span class="visually-hidden">Toggle Dropright</span>
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                    <li><hr class="dropdown-divider" /></li>
                    <li><a class="dropdown-item" href="#">Separated link</a></li>
                  </ul>
                </div>
              
        
    

Dropleft

Trigger dropdown menus at the left of the elements by adding .dropstart to the parent element.

        
            
                <!-- Default dropleft button -->
                <div mdbDropdown class="btn-group dropstart">
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle"
                    mdbDropdownToggle
                    aria-expanded="false"
                  >
                    Dropleft
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu">
                    <li><a class="dropdown-item" href="#">Action</a></li>
                    <li><a class="dropdown-item" href="#">Another action</a></li>
                    <li><a class="dropdown-item" href="#">Something else here</a></li>
                    <li><hr class="dropdown-divider" /></li>
                    <li><a class="dropdown-item" href="#">Separated link</a></li>
                  </ul>
                </div>
                <!-- Split dropleft button -->
                <div class="btn-group">
                  <div mdbDropdown class="btn-group dropstart" role="group">
                    <button
                      type="button"
                      class="btn btn-primary dropdown-toggle dropdown-toggle-split"
                      mdbDropdownToggle
                      aria-expanded="false"
                    >
                      <span class="visually-hidden">Toggle Dropleft</span>
                    </button>
                    <ul mdbDropdownMenu class="dropdown-menu">
                      <li><a class="dropdown-item" href="#">Action</a></li>
                      <li><a class="dropdown-item" href="#">Another action</a></li>
                      <li><a class="dropdown-item" href="#">Something else here</a></li>
                      <li><hr class="dropdown-divider" /></li>
                      <li><a class="dropdown-item" href="#">Separated link</a></li>
                    </ul>
                  </div>
                  <button type="button" class="btn btn-primary">Split dropleft</button>
                </div>
              
        
    

Dynamic direction

You can also set dropdown's direction with the help of positionClass input. It handles dynamic changes and can be useful to change dropdown's direction on some action for example changing view from landscape to portrait.

        
            
              <button class="btn btn-warning" (click)="changeDirection()">
                Change direction
              </button>
              <div mdbDropdown class="btn-group" [positionClass]="position">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Dropdown
                </button>
                <ul mdbDropdownMenu class="dropdown-menu">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              </div>                                          
              
        
    
        
            
              import { Component } from '@angular/core';
              import { MdbDropdownPositionClass } from 'mdb-angular-ui-kit/dropdown/dropdown.directive';
              
              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                position: MdbDropdownPositionClass = 'dropdown';
              
                changePosition() {
                  this.position = this.position === 'dropdown' ? 'dropend' : 'dropdown';
                }
              }                                     
            
        
    

Menu items

Historically dropdown menu contents had to be links, but that’s no longer the case with v4. Now you can optionally use <button> elements in your dropdowns instead of just <a>s.

        
            
              <div mdbDropdown class="dropdown">
                <button
                  class="btn btn-primary dropdown-toggle"
                  type="button"
                  id="dropdownMenu2"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Dropdown
                </button>
                <ul mdbDropdownMenu class="dropdown-menu" aria-labelledby="dropdownMenu2">
                  <li><button class="dropdown-item" type="button">Action</button></li>
                  <li><button class="dropdown-item" type="button">Another action</button></li>
                  <li>
                    <button class="dropdown-item" type="button">Something else here</button>
                  </li>
                </ul>
              </div>
            
        
    

You can also create non-interactive dropdown items with .dropdown-item-text. Feel free to style further with custom CSS or text utilities.

        
            
              <ul mdbDropdownMenu class="dropdown-menu" style="display: block; position: static">
                <li><span class="dropdown-item-text">Dropdown item text</span></li>
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
              </ul>
            
        
    

Active

Add .active to items in the dropdown to style them as active. To convey the active state to assistive technologies, use the aria-current attribute — using the page value for the current page, or true for the current item in a set.

        
            
                <ul mdbDropdownMenu class="dropdown-menu" style="display: block; position: static">
                  <li><a class="dropdown-item" href="#">Regular link</a></li>
                  <li>
                    <a class="dropdown-item active" href="#" aria-current="true">Active link</a>
                  </li>
                  <li><a class="dropdown-item" href="#">Another link</a></li>
                </ul>
              
        
    

Disabled

Add .disabled to items in the dropdown to style them as disabled.

        
            
                <ul mdbDropdownMenu class="dropdown-menu" style="display: block; position: static">
                  <li><a class="dropdown-item" href="#">Regular link</a></li>
                  <li>
                    <a class="dropdown-item disabled" href="#" tabindex="-1" aria-disabled="true"
                      >Disabled link</a
                    >
                  </li>
                  <li><a class="dropdown-item" href="#">Another link</a></li>
                </ul>
              
        
    

Menu alignment

By default, a dropdown menu is automatically positioned 100% from the top and along the left side of its parent. Add .dropdown-menu-end to a .dropdown-menu to right align the dropdown menu.

        
            
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Right-aligned menu
                </button>
                <ul mdbDropdownMenu class="dropdown-menu dropdown-menu-end">
                  <li><button class="dropdown-item" type="button">Action</button></li>
                  <li>
                    <button class="dropdown-item" type="button">Another action</button>
                  </li>
                  <li>
                    <button class="dropdown-item" type="button">Something else here</button>
                  </li>
                </ul>
              </div>
            
        
    

Responsive alignment

If you want to use responsive alignment, disable dynamic positioning by adding the data-mdb-display="static" attribute and use the responsive variation classes.

To align right the dropdown menu with the given breakpoint or larger, add .dropdown-menu{-sm|-md|-lg|-xl|-xxl|-end.

        
            
                <div mdbDropdown class="btn-group">
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle"
                    mdbDropdownToggle
                    data-mdb-display="static"
                    aria-expanded="false"
                  >
                    Left-aligned but right aligned when large screen
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu dropdown-menu-lg-end">
                    <li><button class="dropdown-item" type="button">Action</button></li>
                    <li>
                      <button class="dropdown-item" type="button">Another action</button>
                    </li>
                    <li>
                      <button class="dropdown-item" type="button">Something else here</button>
                    </li>
                  </ul>
                </div>
              
        
    

To align left the dropdown menu with the given breakpoint or larger, add .dropdown-menu-end and .dropdown-menu{-sm|-md|-lg|-xl|-xxl|-start.

        
            
                <div mdbDropdown class="btn-group">
                  <button
                    type="button"
                    class="btn btn-primary dropdown-toggle"
                    mdbDropdownToggle
                    data-mdb-display="static"
                    aria-expanded="false"
                  >
                    Right-aligned but left aligned when large screen
                  </button>
                  <ul mdbDropdownMenu class="dropdown-menu dropdown-menu-end dropdown-menu-lg-start">
                    <li><button class="dropdown-item" type="button">Action</button></li>
                    <li>
                      <button class="dropdown-item" type="button">Another action</button>
                    </li>
                    <li>
                      <button class="dropdown-item" type="button">Something else here</button>
                    </li>
                  </ul>
                </div>
              
        
    

Note that you don’t need to add a data-mdb-display="static" attribute to dropdown buttons in navbars, since Popper isn’t used in navbars.

Dynamic alignment

You can also set dropdown's menu alignment with the help of menuPositionClass input. It handles dynamic changes and can be useful to change dropdown's menu alignment on some action for example changing view from landscape to portrait.

        
            
              <button class="btn btn-warning" (click)="changeAlignment()">
                Change alignment
              </button>
              <div mdbDropdown class="btn-group">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Menu
                </button>
                <ul mdbDropdownMenu class="dropdown-menu" [menuPositionClass]="alignment">
                  <li><button class="dropdown-item" type="button">Action</button></li>
                  <li>
                    <button class="dropdown-item" type="button">Another action</button>
                  </li>
                  <li>
                    <button class="dropdown-item" type="button">Something else here</button>
                  </li>
                </ul>
              </div>                                                      
              
        
    
        
            
              import { Component } from '@angular/core';
              
              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
                styleUrls: ['./app.component.scss'],
              })
              export class AppComponent {
                alignment: string = 'dropdown-menu-start';
              
                changeAlignment() {
                  this.alignment = this.alignment === 'dropdown-menu-start' ? 'dropdown-menu-end' : 'dropdown-menu-start';
                }
              }                                               
            
        
    

Menu content

Headers

Add a header to label sections of actions in any dropdown menu.

        
            
                <ul mdbDropdownMenu class="dropdown-menu" style="display: block; position: static">
                  <li><h6 class="dropdown-header">Dropdown header</h6></li>
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                </ul>
              
        
    

Dividers

Separate groups of related menu items with a divider.

        
            
                <ul mdbDropdownMenu class="dropdown-menu" style="display: block; position: static">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                  <li><hr class="dropdown-divider" /></li>
                  <li><a class="dropdown-item" href="#">Separated link</a></li>
                </ul>
              
        
    

Text

Place any freeform text within a dropdown menu with text and use spacing utilities. Note that you’ll likely need additional sizing styles to constrain the menu width.

        
            
                <div
                  mdbDropdownMenu class="dropdown-menu p-4 text-muted"
                  style="max-width: 200px; display: block; position: static"
                >
                  <p>Some example text that's free-flowing within the dropdown menu.</p>
                  <p class="mb-0">And this is more example text.</p>
                </div>
              
        
    

Forms

Put a form within a dropdown menu, or make it into a dropdown menu, and use margin or padding utilities to give it the negative space you require.

        
            
                <div mdbDropdownMenu class="dropdown-menu" style="display: block; position: static">
                  <form class="px-4 py-3">
                     <!-- Email input -->
                     <mdb-form-control class="mb-4">
                       <input mdbInput type="email" id="form1Example1" class="form-control" />
                       <label mdbLabel class="form-label" for="form1Example1">Email address</label>
                     </mdb-form-control>
                   
                     <!-- Password input -->
                     <mdb-form-control class="mb-4">
                       <input mdbInput type="password" id="form1Example2" class="form-control" />
                       <label mdbLabel class="form-label" for="form1Example2">Password</label>
                     </mdb-form-control>
                    <!-- 2 column grid layout for inline styling -->
                    <div class="row mb-4">
                      <div class="col d-flex justify-content-center">
                        <!-- Checkbox -->
                        <div class="form-check">
                          <input
                             mdbCheckbox
                             class="form-check-input"
                             type="checkbox"
                             value=""
                             id="form1Example3"
                             [checked]="true"
                          />
                          <label class="form-check-label" for="form1Example3"> Remember me </label>
                        </div>
                      </div>
                      <div class="col">
                        <!-- Simple link -->
                        <a href="#!">Forgot password?</a>
                      </div>
                    </div>
                    <!-- Submit button -->
                    <button type="submit" class="btn btn-primary btn-block">Sign in</button>
                  </form>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item" href="#">New around here? Sign up</a>
                  <a class="dropdown-item" href="#">Forgot password?</a>
                </div>
              
        
    
        
            
              <div mdbDropdown class="dropdown">
                <button
                  class="btn btn-primary dropdown-toggle"
                  type="button"
                  mdbDropdownToggle
                  aria-expanded="false"
                  mdbRipple
                >
                  Dropdown form
                </button>
                <div mdbDropdownMenu class="dropdown-menu" style="width: 320px">
                  <form class="px-4 py-3">
                    <!-- Email input -->
                    <mdb-form-control class="mb-4">
                      <input mdbInput type="email" id="form1Example1" class="form-control" />
                      <label mdbLabel class="form-label" for="form1Example1">Email address</label>
                    </mdb-form-control>
    
                    <!-- Password input -->
                    <mdb-form-control class="mb-4">
                      <input mdbInput type="password" id="form1Example2" class="form-control" />
                      <label mdbLabel class="form-label" for="form1Example2">Password</label>
                    </mdb-form-control>
    
                    <!-- 2 column grid layout for inline styling -->
                    <div class="row mb-4">
                      <div class="col d-flex justify-content-center">
                        <!-- Checkbox -->
                        <div class="form-check">
                          <input
                            mdbCheckbox
                            class="form-check-input"
                            type="checkbox"
                            value=""
                            id="form1Example3"
                            [checked]="true"
                          />
                          <label class="form-check-label" for="form1Example3"> Remember me </label>
                        </div>
                      </div>
    
                      <div class="col">
                        <!-- Simple link -->
                        <a href="#!">Forgot password?</a>
                      </div>
                    </div>
    
                    <!-- Submit button -->
                    <button mdbRipple type="submit" class="btn btn-primary btn-block">Sign in</button>
                  </form>
                  <div class="dropdown-divider"></div>
                  <a class="dropdown-item" href="#">New around here? Sign up</a>
                  <a class="dropdown-item" href="#">Forgot password?</a>
                </div>
              </div>
              
        
    

Remove animation

To remove the fade animation on click, add [animation]="false" attribute to the dropdown.

        
            
              <div mdbDropdown [animation]="false" class="dropdown">
                <button
                  class="btn btn-primary dropdown-toggle"
                  type="button"
                  id="dropdownExampleAnimation"
                  mdbDropdownToggle
                  aria-expanded="false"
                >
                  Dropdown button
                </button>
                <ul mdbDropdownMenu class="dropdown-menu" aria-labelledby="dropdownExampleAnimation">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                </ul>
              </div>
            
        
    

Dropdown options

Use offset to change the location of the dropdown.

        
            
              <div mdbDropdown class="dropdown me-1">
                <button
                  type="button"
                  class="btn btn-primary dropdown-toggle"
                  id="dropdownMenuOffset"
                  mdbDropdownToggle
                  aria-expanded="false"
                  [offset]="10"
                >
                  Offset
                </button>
                <ul mdbDropdownMenu class="dropdown-menu" aria-labelledby="dropdownMenuOffset">
                  <li><a class="dropdown-item" href="#">Action</a></li>
                  <li><a class="dropdown-item" href="#">Another action</a></li>
                  <li><a class="dropdown-item" href="#">Something else here</a></li>
                </ul>
              </div>
            
        
    

PAY ONCE

USE FOREVER

Hurry up ⌛ claim exclusive long term passes available only during Cyber Weeks

Dropdowns - API


Import

        
            
            import { MdbDropdownModule } from 'mdb-angular-ui-kit/dropdown';
            import { MdbRippleModule } from 'mdb-angular-ui-kit/ripple';
            …
            @NgModule ({
              ...
              imports: [MdbDropdownModule, MdbRippleModule],
              ...
            })
          
        
    

Inputs

MdbDropdownDirective

Name Type Default Description
animation boolean true Defines whether animation is enabled
closeOnEsc boolean true Defines whether dropdown closes on ESC
closeOnItemClick boolean true Defines whether dropdown closes on item click
closeOnOutsideClick boolean true Defines whether dropdown closes on outside click
offset number 0 Offset of the dropdown relative to its target
positionClass MdbDropdownPositionClass - Defines dropdown's direction
withPush boolean false Defines whether dropdown can be pushed on-screen if none of the provided positions fit

MdbDropdownMenuDirective

Name Type Default Description
menuPositionClass string - Defines dropdown's menu alignment

Outputs

Name Description Example
dropdownShow EventEmitter<MdbDropdownDirective> Fires immediately when the show instance method is called.
dropdownShown EventEmitter<MdbDropdownDirective> Fired when the dropdown has been made visible to the user and CSS transitions have completed.
dropdownHide EventEmitter<MdbDropdownDirective> Fires immediately when the hide instance method has been called.
dropdownHidden EventEmitter<MdbDropdownDirective> Fired when the dropdown has finished being hidden from the user and CSS transitions have completed.
        
            
            <div mdbDropdown class="dropdown" (dropdownShow)="onDropdownShow($event)">
              <button
                class="btn btn-primary dropdown-toggle"
                type="button"
                id="dropdownMenuButton"
                aria-expanded="false"
                mdbDropdownToggle
              >
                Dropdown button
              </button>
              <ul
                mdbDropdownMenu
                class="dropdown-menu"
                aria-labelledby="dropdownMenuButton"
              >
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
              </ul>
            </div>                           
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbDropdownDirective } from 'mdb-angular-ui-kit/dropdown';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onDropdownShow(event: MdbDropdownDirective) {
                console.log('on dropdown show: ', event);
              }
            }                             
            
        
    

Methods

Name Description Example
hide Hides the dropdown menu of a given navbar or tabbed navigation. dropdown.hide()
show Shows the dropdown menu of a given navbar or tabbed navigation. dropdown.show()
toggle Toggles the dropdown menu of a given navbar or tabbed navigation. dropdown.toggle()
        
            
            <div mdbDropdown #dropdown class="dropdown">
              <button
                class="btn btn-primary dropdown-toggle"
                type="button"
                id="dropdownMenuButton"
                aria-expanded="false"
                mdbDropdownToggle
              >
                Dropdown button
              </button>
              <ul
                mdbDropdownMenu
                class="dropdown-menu"
                aria-labelledby="dropdownMenuButton"
              >
                <li><a class="dropdown-item" href="#">Action</a></li>
                <li><a class="dropdown-item" href="#">Another action</a></li>
                <li><a class="dropdown-item" href="#">Something else here</a></li>
              </ul>
            </div>          
            
        
    
        
            
            import { AfterViewInit, Component, ViewChild } from '@angular/core';
            import { MdbDropdownDirective } from 'mdb-angular-ui-kit/dropdown';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent implements AfterViewInit {
              @ViewChild('dropdown') dropdown!: MdbDropdownDirective;
            
              constructor() {}
            
              ngAfterViewInit(): void {
                setTimeout(() => {
                  this.dropdown.show();
                }, 2000);
              }
            }          
            
        
    

CSS variables

As part of MDB’s evolving CSS variables approach, dropdown now uses local CSS variables on .dropdown-menu, .dropdown-item and .dropdown-divider for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .dropdown-menu
          --#{$prefix}dropdown-zindex: #{$zindex-dropdown};
          --#{$prefix}dropdown-min-width: #{$dropdown-min-width};
          --#{$prefix}dropdown-padding-x: #{$dropdown-padding-x};
          --#{$prefix}dropdown-padding-y: #{$dropdown-padding-y};
          --#{$prefix}dropdown-spacer: #{$dropdown-spacer};
          --#{$prefix}dropdown-color: #{$dropdown-color};
          --#{$prefix}dropdown-bg: #{$dropdown-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-border-color};
          --#{$prefix}dropdown-border-radius: #{$dropdown-border-radius};
          --#{$prefix}dropdown-border-width: #{$dropdown-border-width};
          --#{$prefix}dropdown-inner-border-radius: #{$dropdown-inner-border-radius};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-divider-bg};
          --#{$prefix}dropdown-divider-margin-y: #{$dropdown-divider-margin-y};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-link-hover-color};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-link-disabled-color};
          --#{$prefix}dropdown-item-padding-x: #{$dropdown-item-padding-x};
          --#{$prefix}dropdown-item-padding-y: #{$dropdown-item-padding-y};
          --#{$prefix}dropdown-header-color: #{$dropdown-header-color};
          --#{$prefix}dropdown-header-padding-x: #{$dropdown-header-padding-x};
          --#{$prefix}dropdown-header-padding-y: #{$dropdown-header-padding-y};
          --#{$prefix}dropdown-item-border-radius: #{$dropdown-item-border-radius};
          --#{$prefix}dropdown-menu-animated-animation-duration: #{$dropdown-menu-animated-animation-duration};
          --#{$prefix}dropdown-menu-animated-animation-timing-function: #{$dropdown-menu-animated-animation-timing-function};

          // .dropdown-item
          --#{$prefix}dropdown-state-color: #{$dropdown-state-color};
          --#{$prefix}dropdown-state-background-color: #{$dropdown-state-background-color};

          // .dropdown-divider
          --#{$prefix}dropdown-divider-border-top-width: #{$dropdown-divider-border-top-width};
          --#{$prefix}dropdown-divider-border-top-bg: #{$dropdown-divider-bg};

          // .dropdown-menu-dark
          --#{$prefix}dropdown-color: #{$dropdown-dark-color};
          --#{$prefix}dropdown-bg: #{$dropdown-dark-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-dark-border-color};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-dark-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-dark-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-dark-link-hover-color};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-dark-divider-bg};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-dark-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-dark-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-dark-link-disabled-color};
          --#{$prefix}dropdown-header-color: #{$dropdown-dark-header-color};
        
        
    

SCSS variables

        
            
            $zindex-dropdown: 1000;
            $dropdown-color: $body-color;
            $dropdown-padding-x: 0;
            $dropdown-padding-y: 0.5rem;
            $dropdown-margin-top: 0.125rem;
            $dropdown-box-shadow: $box-shadow-4;
            $dropdown-font-size: 0.875rem;
            $dropdown-item-border-radius: 0.5rem;
            $dropdown-item-padding-y: 0.5rem;
            $dropdown-item-padding-x: 1rem;
            $dropdown-border-radius: 0.5rem;
            $dropdown-divider-bg: hsl(0, 0%, 96%);
            $dropdown-divider-border-top-width: 2px;
            $dropdown-divider-margin-y: $spacer * 0.5;
            $dropdown-state-color: #16181b;
            $dropdown-state-background-color: #eee;
            $dropdown-menu-animated-animation-duration: 0.55s;
            $dropdown-menu-animated-animation-timing-function: ease;
            $dropdown-animation-duration: 1s;
            $dropdown-min-width: 10rem;
            $dropdown-spacer: 0.125rem;
            $dropdown-color: $body-color;
            $dropdown-bg: $white;
            $dropdown-border-color: var(--#{$prefix}border-color-translucent);
            $dropdown-border-width: $border-width;
            $dropdown-inner-border-radius: subtract($dropdown-border-radius, $dropdown-border-width);
            $dropdown-link-color: $gray-900;
            $dropdown-link-hover-color: shade-color($dropdown-link-color, 10%);
            $dropdown-link-hover-bg: $gray-200;
            $dropdown-link-active-color: $component-active-color;
            $dropdown-link-active-bg: $component-active-bg;
            $dropdown-link-disabled-color: $gray-500;
            $dropdown-header-color: $gray-600;
            $dropdown-header-padding-x: $dropdown-item-padding-x;
            $dropdown-header-padding-y: $dropdown-padding-y;
            $dropdown-header-padding: $dropdown-header-padding-y $dropdown-header-padding-x;
            
            // dark
            $dropdown-dark-color: $gray-300;
            $dropdown-dark-bg: $gray-800;
            $dropdown-dark-border-color: $dropdown-border-color;
            $dropdown-dark-divider-bg: $dropdown-divider-bg;
            $dropdown-dark-box-shadow: null;
            $dropdown-dark-link-color: $dropdown-dark-color;
            $dropdown-dark-link-hover-color: $white;
            $dropdown-dark-link-hover-bg: rgba($white, 0.15);
            $dropdown-dark-link-active-color: $dropdown-link-active-color;
            $dropdown-dark-link-active-bg: $dropdown-link-active-bg;
            $dropdown-dark-link-disabled-color: $gray-500;
            $dropdown-dark-header-color: $gray-500;

Dropdowns

Vue Bootstrap 5 Dropdown component

Toggle contextual overlays for displaying lists of links and more with the MDB dropdown plugin.

Note: Read the API tab to find all available options and advanced customization


Basic examples

Wrap the MDBDropdownToggle (your button or link) and the MDBDropdownMenu within MDBDropdown element. Bind any truthy or falsy ref value to MDBDropdownMenu and toggle dropdown with a MDBDropdownToggle component. MDBDropdownMenu use semantic <ul> elements where appropriate, but custom markup is supported.

Regular button

MDBDropdownToggle is a regular button with primary color by default.

        
            
              <template>
                <MDBDropdown v-model="dropdown1">
                  <MDBDropdownToggle @click="dropdown1 = !dropdown1">
                    Dropdown button
                  </MDBDropdownToggle>
                  <MDBDropdownMenu aria-labelledby="dropdownMenuButton">
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem
                  },
                  setup() {
                    const dropdown1 = ref(false);
                    return {
                      dropdown1
                    }
                  }
                };
              </script>
            
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              
              const dropdown1 = ref(false);
            </script>
          
        
    

Colors

You can do this with any button variant:

        
            
            <template>
              <!-- Primary -->
              <MDBDropdown btnGroup v-model="dropdown3">
                <MDBDropdownToggle @click="dropdown3 = !dropdown3">
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Secondary -->
              <MDBDropdown btnGroup v-model="dropdown4">
                <MDBDropdownToggle
                  @click="dropdown4 = !dropdown4"
                  color="secondary"
                >
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Success -->
              <MDBDropdown btnGroup v-model="dropdown5">
                <MDBDropdownToggle
                  @click="dropdown5 = !dropdown5"
                  color="success"
                >
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Info -->
              <MDBDropdown btnGroup v-model="dropdown6">
                <MDBDropdownToggle @click="dropdown6 = !dropdown6" color="info">
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Warning -->
              <MDBDropdown btnGroup v-model="dropdown7">
                <MDBDropdownToggle
                  @click="dropdown7 = !dropdown7"
                  color="warning"
                >
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Danger -->
              <MDBDropdown btnGroup v-model="dropdown8">
                <MDBDropdownToggle @click="dropdown8 = !dropdown8" color="danger">
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Dark -->
              <MDBDropdown btnGroup v-model="dropdown9">
                <MDBDropdownToggle @click="dropdown9 = !dropdown9" color="dark">
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Light -->
              <MDBDropdown btnGroup v-model="dropdown10">
                <MDBDropdownToggle
                  @click="dropdown10 = !dropdown10"
                  color="light"
                >
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
              <!-- Link -->
              <MDBDropdown btnGroup v-model="dropdown11">
                <MDBDropdownToggle @click="dropdown11 = !dropdown11" color="link">
                  Action
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                },
                setup() {
                  const dropdown3 = ref(false);
                  const dropdown4 = ref(false);
                  const dropdown5 = ref(false);
                  const dropdown6 = ref(false);
                  const dropdown7 = ref(false);
                  const dropdown8 = ref(false);
                  const dropdown9 = ref(false);
                  const dropdown10 = ref(false);
                  const dropdown11 = ref(false);
                  const dropdown12 = ref(false);
                  return {
                    dropdown3,
                    dropdown4,
                    dropdown5,
                    dropdown6,
                    dropdown7,
                    dropdown8,
                    dropdown9,
                    dropdown10,
                    dropdown11,
                    dropdown12
                  }
                }
              };
            </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
            import { ref } from 'vue';

            const dropdown3 = ref(false);
            const dropdown4 = ref(false);
            const dropdown5 = ref(false);
            const dropdown6 = ref(false);
            const dropdown7 = ref(false);
            const dropdown8 = ref(false);
            const dropdown9 = ref(false);
            const dropdown10 = ref(false);
            const dropdown11 = ref(false);
            const dropdown12 = ref(false);
          </script>
        
        
    

Split button

Similarly, create split button dropdowns by placing regular MDBBtn component and additional MDBDropdownToggle with split property for proper spacing around the dropdown caret.

We use this extra class to reduce the horizontal padding on either side of the caret by 25% and remove the margin-left that’s added for regular button dropdowns. Those extra changes keep the caret centered in the split button and provide a more appropriately sized hit area next to the main button.

        
            
            <template>
              <!-- Example split primary button -->
              <MDBDropdown btnGroup v-model="dropdown12">
                <MDBBtn color="primary">Action</MDBBtn>
                <MDBDropdownToggle split @click="dropdown12 = !dropdown12" />
                <MDBDropdownMenu>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                  MDBBtn
                },
                setup() {
                  const dropdown12 = ref(false);
                  return {
                    dropdown12
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const dropdown12 = ref(false);
            </script>
          
        
    

Sizing

MDBDropdownToggle work with all button sizes, including default and split dropdown buttons.

        
            
            <template>
              <div>
                <!-- Large button groups (default and split) -->
                <MDBDropdown btnGroup v-model="dropdown13">
                  <MDBDropdownToggle size="lg" @click="dropdown13 = !dropdown13">
                    Large button
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <MDBDropdown btnGroup v-model="dropdown14">
                  <MDBBtn color="primary">Large split button</MDBBtn>
                  <MDBDropdownToggle
                    split
                    size="lg"
                    @click="dropdown14 = !dropdown14"
                  />
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <!-- Small button groups (default and split) -->
                <MDBDropdown btnGroup v-model="dropdown15">
                  <MDBDropdownToggle size="sm" @click="dropdown15 = !dropdown15">
                    Small button
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <MDBDropdown btnGroup v-model="dropdown16">
                  <MDBBtn color="primary" size="sm">Small split button</MDBBtn>
                  <MDBDropdownToggle
                    split
                    size="sm"
                    @click="dropdown16 = !dropdown16"
                  />
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                  MDBBtn
                },
                setup() {
                  const dropdown13 = ref(false);
                  const dropdown14 = ref(false);
                  const dropdown15 = ref(false);
                  const dropdown16 = ref(false);
                  return {
                    dropdown13,
                    dropdown14,
                    dropdown15,
                    dropdown16
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const dropdown13 = ref(false);
              const dropdown14 = ref(false);
              const dropdown15 = ref(false);
              const dropdown16 = ref(false);
            </script>
          
        
    

Directions

Dropup

Trigger dropdown menus above elements by adding dropup property to the MDBDropdown component.

        
            
              <template>
                <!-- Default dropup button -->
                <MDBDropdown btnGroup dropup v-model="dropdown17">
                  <MDBDropdownToggle @click="dropdown17 = !dropdown17">
                    Dropup
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <!-- Split dropup button -->
                <MDBDropdown btnGroup dropup v-model="dropdown18">
                  <MDBBtn color="primary">Split dropup</MDBBtn>
                  <MDBDropdownToggle split @click="dropdown18 = !dropdown18" />
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                    MDBBtn
                  },
                  setup() {
                    const dropdown17 = ref(false);
                    const dropdown18 = ref(false);
                    return {
                      dropdown17,
                      dropdown18
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                    
                const dropdown17 = ref(false);
                const dropdown18 = ref(false);
              </script>
            
        
    

Dropright

Trigger dropdown menus at the right of the elements by adding .dropend to the parent element.

        
            
              <template>
                <!-- Default dropend button -->
                <MDBDropdown btnGroup dropend v-model="dropdown19">
                  <MDBDropdownToggle @click="dropdown19 = !dropdown19">
                    Dropend
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <!-- Split dropend button -->
                <MDBDropdown btnGroup dropend v-model="dropdown20">
                  <MDBBtn color="primary">Split dropend</MDBBtn>
                  <MDBDropdownToggle split @click="dropdown20 = !dropdown20" />
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                    MDBBtn
                  },
                  setup() {
                    const dropdown19 = ref(false);
                    const dropdown20 = ref(false);
                    return {
                      dropdown19,
                      dropdown20
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
                import { ref } from 'vue';

                const dropdown19 = ref(false);
                const dropdown20 = ref(false);
              </script>
            
        
    

Dropleft

Trigger dropdown menus at the left of the elements by adding dropstart property to the MDBDropdown component.

        
            
              <template>
                <!-- Default dropstart button -->
                <MDBDropdown btnGroup dropstart v-model="dropdown21">
                  <MDBDropdownToggle @click="dropdown21 = !dropdown21">
                    Dropstart
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <!-- Split dropstart button -->
                <div class="btn-group">
                  <MDBDropdown btnGroup dropstart v-model="dropdown22">
                    <MDBDropdownToggle split @click="dropdown22 = !dropdown22" />
                    <MDBDropdownMenu>
                      <MDBDropdownItem href="#">Action</MDBDropdownItem>
                      <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                      <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                      <MDBDropdownItem divider />
                      <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
                  <MDBBtn color="primary">Split dropstart</MDBBtn>
                </div>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                    MDBBtn
                  },
                  setup() {
                    const dropdown21 = ref(false);
                    const dropdown22 = ref(false);
                    return {
                      dropdown21,
                      dropdown22
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBBtn } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                    
                const dropdown21 = ref(false);
                const dropdown22 = ref(false);
              </script>
            
        
    

Menu items

Historically dropdown menu contents had to be links. Now you can optionally use <button> elements in your dropdowns instead of just <a>.

        
            
            <template>
              <MDBDropdown v-model="dropdown23">
                <MDBDropdownToggle @click="dropdown23 = !dropdown23">
                  Dropdown
                </MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem tag="button">Action</MDBDropdownItem>
                  <MDBDropdownItem tag="button">Another Action</MDBDropdownItem>
                  <MDBDropdownItem tag="button">Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                },
                setup() {
                  const dropdown23 = ref(false);
                  return {
                    dropdown23
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
                  
              const dropdown23 = ref(false);
            </script>
          
        
    

You can also create non-interactive dropdown items with text property. Feel free to style further with custom CSS or text utilities.

        
            
            <template>
              <MDBDropdownMenu static>
                <MDBDropdownItem text>Dropdown item text</MDBDropdownItem>
                <MDBDropdownItem href="#">Action</MDBDropdownItem>
                <MDBDropdownItem href="#">Another action</MDBDropdownItem>
                <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
              </MDBDropdownMenu>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBDropdownMenu,
                  MDBDropdownItem
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
            </script>
          
        
    

Active

Add active property to items in the dropdown to style them as active.

        
            
              <template>
                <MDBDropdownMenu static>
                  <MDBDropdownItem href="#">Regular link</MDBDropdownItem>
                  <MDBDropdownItem href="#" active>Active link</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another link</MDBDropdownItem>
                </MDBDropdownMenu>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBDropdownMenu,
                    MDBDropdownItem
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              </script>
            
        
    

Disabled

Add disabled property to items in the dropdown to style them as disabled.

        
            
              <template>
                <MDBDropdownMenu static>
                  <MDBDropdownItem href="#">Regular link</MDBDropdownItem>
                  <MDBDropdownItem href="#" disabled>Disabled link</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another link</MDBDropdownItem>
                </MDBDropdownMenu>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBDropdownMenu,
                    MDBDropdownItem
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              </script>
            
        
    

Menu alignment

By default, a dropdown menu is automatically positioned 100% from the top and along the left side of its parent. Add align="end" property to a MDBDropdown to right align the dropdown menu.

        
            
            <MDBDropdown align="end" v-model="dropdown24">
              <MDBDropdownToggle @click="dropdown24 = !dropdown24">
                Right-aligned menu
              </MDBDropdownToggle>
              <MDBDropdownMenu>
                <MDBDropdownItem href="#">Action</MDBDropdownItem>
                <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
              </MDBDropdownMenu>
            </MDBDropdown>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                },
                setup() {
                  const dropdown24 = ref(false);
                  return {
                    dropdown24
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
                  
              const dropdown24 = ref(false);
            </script>
          
        
    

Responsive alignment

If you want to make dropdown alignment responsive, use the responsive variation classes.

To align right the dropdown menu with the given breakpoint or larger, add align="sm|md|lg|xl|xxl-end".

To align left the dropdown menu with the given breakpoint or larger, add align="sm|md|lg|xl|xxl-start".

        
            
              <template>
                <MDBDropdown btnGroup align="lg-end" v-model="dropdown25">
                  <MDBDropdownToggle @click="dropdown25 = !dropdown25">
                    Left-aligned but right aligned when large screen
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                  },
                  setup() {
                    const dropdown25 = ref(false);
                    return {
                      dropdown25,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
                    
                const dropdown25 = ref(false);
              </script>
            
        
    

To align dropdown menu right by default, but left when the given breakpoint or larger, add :align="['end', 'sm|md|lg|xl|xxl-start']".

        
            
              <template>
                <MDBDropdown btnGroup :align="['end', 'lg-start']" v-model="dropdown26">
                  <MDBDropdownToggle @click="dropdown26 = !dropdown26">
                    Right-aligned but left aligned when large screen
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                  },
                  setup() {
                    const dropdown26 = ref(false);
                    return {
                      dropdown26,
                    };
                  },
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem,
                } from 'mdb-vue-ui-kit';
                import { ref } from 'vue';
                    
                const dropdown26 = ref(false);
              </script>
            
        
    

Note that you don’t need to add a data-mdb-display="static" attribute to dropdown buttons in navbars, since Popper isn’t used in navbars.

Alignment options

Taking most of the options shown above, here’s a small kitchen sink demo of various dropdown alignment options in one place.

Note: For the secondary buttons it may be required to remove the shadow with .shadow-0 class.

        
            
              <template>
                <MDBDropdown v-model="dropdown1">
                  <MDBDropdownToggle @click="dropdown1 = !dropdown1">
                    Dropdown button
                  </MDBDropdownToggle>
                  <MDBDropdownMenu aria-labelledby="dropdownMenuButton">
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>

                <MDBDropdown align="end" v-model="dropdown24">
                  <MDBDropdownToggle @click="dropdown24 = !dropdown24">
                    Right-aligned menu
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>

                <MDBDropdown btnGroup align="lg-end" v-model="dropdown25">
                  <MDBDropdownToggle @click="dropdown25 = !dropdown25">
                    Left-aligned but right aligned when large screen
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>

                <MDBDropdown btnGroup :align="['end', 'lg-start']" v-model="dropdown26">
                  <MDBDropdownToggle @click="dropdown26 = !dropdown26">
                    Right-aligned but left aligned when large screen
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                
                <MDBDropdown btnGroup dropstart v-model="dropdown21">
                  <MDBDropdownToggle @click="dropdown21 = !dropdown21">
                    Dropstart
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>

                <MDBDropdown btnGroup dropend v-model="dropdown19">
                  <MDBDropdownToggle @click="dropdown19 = !dropdown19">
                    Dropend
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>

                <MDBDropdown btnGroup dropup v-model="dropdown17">
                  <MDBDropdownToggle @click="dropdown17 = !dropdown17">
                    Dropup
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </template>
            
        
    
        
            
              <script>
                import {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                } from "mdb-vue-ui-kit";
                import { ref } from 'vue';

                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem
                  },
                  setup() {
                    const dropdown1 = ref(false);
                    const dropdown17 = ref(false);
                    const dropdown19 = ref(false);
                    const dropdown21 = ref(false);
                    const dropdown24 = ref(false);
                    const dropdown25 = ref(false);
                    const dropdown26 = ref(false);

                    return {
                      dropdown1,
                      dropdown17,
                      dropdown19,
                      dropdown21,
                      dropdown24,
                      dropdown25,
                      dropdown26,
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
              
                const dropdown1 = ref(false);
                const dropdown17 = ref(false);
                const dropdown19 = ref(false);
                const dropdown21 = ref(false);
                const dropdown24 = ref(false);
                const dropdown25 = ref(false);
                const dropdown26 = ref(false);
              </script>
            
        
    

Menu content

Headers

Add a header property to label sections of actions in any dropdown menu.

        
            
              <template>
                <MDBDropdownMenu static>
                  <MDBDropdownItem tag="h6" header>Dropdown header</MDBDropdownItem>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                </MDBDropdownMenu>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBDropdownMenu,
                    MDBDropdownItem
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              </script>
            
        
    

Dividers

Separate groups of related menu items with a divider property.

        
            
              <template>
                <MDBDropdownMenu static>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBDropdownMenu,
                    MDBDropdownItem
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              </script>
            
        
    

Text

Place any freeform text within a dropdown menu with text and use spacing utilities. Note that you’ll likely need additional sizing styles to constrain the menu width.

        
            
              <template>
                <MDBDropdownMenu
                  static
                  class="p-4 text-muted"
                  style="max-width: 200px;"
                >
                  <p>
                    Some example text that's free-flowing within the dropdown
                    menu.
                  </p>
                  <p class="mb-0">And this is more example text.</p>
                </MDBDropdownMenu>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdownMenu } from "mdb-vue-ui-kit";
                export default {
                  components: {
                    MDBDropdownMenu
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdownMenu } from "mdb-vue-ui-kit";
              </script>
            
        
    

Forms

Put a form within a dropdown menu, or make it into a dropdown menu, and use margin or padding utilities to give it the negative space you require.

        
            
              <template>
                <MDBDropdownMenu static>
                  <form class="px-4 py-3">
                    <!-- Email input -->
                    <MDBInput
                      label="Email address"
                      type="email"
                      class="mb-4"
                      v-model="inputValue1"
                    ></MDBInput>
                    <!-- Password input -->
                    <MDBInput
                      label="Password"
                      type="password"
                      class="mb-4"
                      v-model="inputValue2"
                    ></MDBInput>
                    <!-- 2 column grid layout for inline styling -->
                    <MDBRow class="mb-4">
                      <MDBCol class="d-flex justify-content-center">
                        <!-- Checkbox -->
                        <MDBCheckbox label="Remember me" v-model="checkboxValue1"></MDBCheckbox>
                      </MDBCol>
                      <MDBCol>
                        <!-- Simple link -->
                        <a href="#!">Forgot password?</a>
                      </MDBCol>
                    </MDBRow>
                    <!-- Submit button -->
                    <MDBBtn type="submit" color="primary" block>
                      Sign in
                    </MDBBtn>
                  </form>
                  <MDBDropdownItem divider></MDBDropdownItem>
                  <MDBDropdownItem href="#">New around here? Sign up</MDBDropdownItem>
                  <MDBDropdownItem href="#">Forgot password?</MDBDropdownItem>
                </MDBDropdownMenu>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdownMenu, MDBDropdownItem, MDBRow, MDBCol, MDBInput, MDBBtn, MDBCheckbox } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdownMenu,
                    MDBDropdownItem,
                    MDBRow,
                    MDBCol,
                    MDBInput,
                    MDBBtn,
                    MDBCheckbox
                  },
                  setup() {
                    const inputValue1 = ref('');
                    const inputValue2 = ref('');
                    const checkboxValue1 = ref(true);
                    return {
                      inputValue1,
                      inputValue2,
                      checkboxValue1
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdownMenu, MDBDropdownItem, MDBRow, MDBCol, MDBInput, MDBBtn, MDBCheckbox } from "mdb-vue-ui-kit";
                import { ref } from 'vue';

                const inputValue1 = ref('');
                const inputValue2 = ref('');
                const checkboxValue1 = ref(true);
              </script>
            
        
    
        
            
              <template>
                <MDBDropdown v-model="dropdown27">
                  <MDBDropdownToggle @click="dropdown27 = !dropdown27">
                    Dropdown form
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <form class="px-4 py-3">
                      <!-- Email input -->
                      <MDBInput
                        label="Email address"
                        type="email"
                        class="mb-4"
                        v-model="inputValue3"
                      ></MDBInput>
                      <!-- Password input -->
                      <MDBInput
                        label="Password"
                        type="password"
                        class="mb-4"
                        v-model="inputValue4"
                      ></MDBInput>
                      <!-- 2 column grid layout for inline styling -->
                      <MDBRow class="mb-4">
                        <MDBCol class="d-flex justify-content-center">
                          <!-- Checkbox -->
                          <MDBCheckbox
                            label="Remember me"
                            v-model="checkboxValue2"
                          ></MDBCheckbox>
                        </MDBCol>
                        <MDBCol>
                          <!-- Simple link -->
                          <a href="#!">Forgot password?</a>
                        </MDBCol>
                      </MDBRow>
                      <!-- Submit button -->
                      <MDBBtn type="submit" color="primary" block>
                        Sign in
                      </MDBBtn>
                    </form>
                    <MDBDropdownItem divider></MDBDropdownItem>
                    <MDBDropdownItem href="#">New around here? Sign up</MDBDropdownItem>
                    <MDBDropdownItem href="#">Forgot password?</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </template>
            
        
    
        
            
              <script>
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBRow, MDBCol, MDBInput, MDBCheckbox } from "mdb-vue-ui-kit";
                import { ref } from 'vue';
                export default {
                  components: {
                    MDBDropdown,
                    MDBDropdownToggle,
                    MDBDropdownMenu,
                    MDBDropdownItem,
                    MDBRow,
                    MDBCol,
                    MDBInput,
                    MDBCheckbox
                  },
                  setup() {
                    const inputValue3 = ref('');
                    const inputValue4 = ref('');
                    const checkboxValue2 = ref(true);
                    const dropdown27 = ref(true);
                    return {
                      inputValue3,
                      inputValue4,
                      checkboxValue2,
                      dropdown27,
                    }
                  }
                };
              </script>
            
        
    
        
            
              <script setup lang="ts">
                import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem, MDBRow, MDBCol, MDBInput, MDBCheckbox } from "mdb-vue-ui-kit";
                import { ref } from 'vue';

                const inputValue3 = ref('');
                const inputValue4 = ref('');
                const checkboxValue2 = ref(true);
                const dropdown27 = ref(true);
              </script>
            
        
    

Remove animation

To remove the fade animation on click, add :animation="false" attribute to the MDBDRopdownToggle.

        
            
            <template>
              <MDBDropdown v-model="dropdown28">
                <MDBDropdownToggle
                  @click="dropdown28 = !dropdown28"
                  id="dropdownExampleAnimation"
                >
                  Dropdown button
                </MDBDropdownToggle>
                <MDBDropdownMenu :animation="false">
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                },
                setup() {
                  const dropdown28 = ref(false);
                  return {
                    dropdown28
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const dropdown28 = ref(false);
            </script>
          
        
    

Dropdown options

To change the offset of the dropdown menu add offset="skiddingValue, distanceValue" property. To change the location of the dropdown menu add target property with value of selector to expected reference for dropdown.

        
            
            <template>
              <div class="d-flex">
                <MDBDropdown offset="10,20" class="me-1" v-model="dropdown29">
                  <MDBDropdownToggle @click="dropdown29 = !dropdown29">
                    Offset
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated list</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <MDBDropdown
                  btnGroup
                  id="referenceTarget"
                  target="#referenceTarget"
                  v-model="dropdown30"
                >
                  <MDBBtn color="primary">Reference</MDBBtn>
                  <MDBDropdownToggle split @click="dropdown30 = !dropdown30">
                    <span class="visually-hidden">Toggle Dropdown</span>
                  </MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem href="#">Action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Another action</MDBDropdownItem>
                    <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem href="#">Separated list</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </div>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                },
                setup() {
                  const dropdown29 = ref(false);
                  const dropdown30 = ref(false);
                  return {
                    dropdown29,
                    dropdown30,
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const dropdown29 = ref(false);
              const dropdown30 = ref(false);
            </script>
          
        
    

Dark variant

Add dark property onto an existing MDBDropdownMenu to match a dark navbar.

        
            
            <template>
              <MDBDropdown v-model="dropdown31">
                <MDBDropdownToggle
                  @click="dropdown31 = !dropdown31"
                  id="dropdownExampleAnimation"
                >
                  Dropdown button
                </MDBDropdownToggle>
                <MDBDropdownMenu dark>
                  <MDBDropdownItem href="#">Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Another Action</MDBDropdownItem>
                  <MDBDropdownItem href="#">Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem href="#">Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            </template>
          
        
    
        
            
            <script>
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';
              export default {
                components: {
                  MDBDropdown,
                  MDBDropdownToggle,
                  MDBDropdownMenu,
                  MDBDropdownItem
                },
                setup() {
                  const dropdown31 = ref(false);
                  return {
                    dropdown31
                  }
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBDropdown, MDBDropdownToggle, MDBDropdownMenu, MDBDropdownItem } from "mdb-vue-ui-kit";
              import { ref } from 'vue';

              const dropdown31 = ref(false);
            </script>
          
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

Dropdowns - API


Import

        
            
        <script>
          import {
            MDBDropdown,
            MDBDropdownToggle,
            MDBDropdownMenu,
            MDBDropdownItem
          } from 'mdb-vue-ui-kit';
        </script>
      
        
    

Properties

MDBDropdown

Name Type Default Description Example
tag String 'div' Defines tag of the MDBDropdown element <MDBDropdown tag="section" />
v-model Boolean Toggle MDBDropdown component open and closed <MDBDropdown tag="true" />
btnGroup Boolean false Changes alignment of the toggler to fit within a button gro <MDBDropdown btnGroup />
dropup Boolean false Trigger dropdown menus above elements <MDBDropdown dropup />
dropend Boolean false Trigger dropdown menus at the right of the elements <MDBDropdown dropend />
dropstart Boolean false Trigger dropdown menus at the left of the elements <MDBDropdown dropstart />
align String | Array 'start' Aligns dropdown menu along the left or rigth side of the parent <MDBDropdown align="end" />
offset String Offset of the dropdown menu relative to its parent. <MDBDropdown offset="0, 10" />
target String Sets custom selector for dropdown menu reference target <MDBPopover target="#reference-target" />

MDBDropdownToggle

Name Type Default Description Example
tag String 'button' Defines tag of the MDBDropdownToggle element <MDBDropdownToggle tag="div" />
color String 'primary Sets color of the MDBDropdownToggle element <MDBDropdownToggle color="secondary" />
href String Sets href attribute if tag is set to a <MDBDropdownToggle tag="a" href="#" />
split Boolean false Allows to create split buttons <MDBBtn color="primary">Split</MDBBtn> <MDBDropdownToggle split />

MDBDropdownMenu

Name Type Default Description Example
tag String 'ul' Defines tag of the MDBDropdownMenu element <MDBDropdownMenu tag="div" />
animation Boolean true Toggle animation on dropdown menu on or off <MDBDropdownMenu :animation="false" />
dark Boolean false Sets MDBDropdownMenu element color to dark <MDBDropdownMenu dark />
filter Boolean false Adds search bar. <MDBDropdownMenu filter />

MDBDropdownItem

Name Type Default Description Example
tag String 'a' Defines tag of the MDBDropdownItem element <MDBDropdownItem tag="div" />
to String | Object Changes the component's tag to router-link <MDBDropdownItem to="/" />
href String The href attribute's value of the anchor tag <MDBDropdownItem href="/" />
disabled Boolean false Disables the item <MDBDropdownItem disabled />
active Boolean false Adds active class to the item <MDBDropdownItem active />
exact Boolean false Sets exact attribute of the component <MDBDropdownItem to="/" exact />
newTab Boolean false Sets component's target to "_blank" <MDBDropdownItem href="/" newTab />
divider Boolean false Sets element as a divider <MDBDropdownItem divider />
text Boolean false Sets element as a text element <MDBDropdownItem text />
header Boolean false Sets element as a header element <MDBDropdownItem header ag="h6" />

CSS variables

As part of MDB’s evolving CSS variables approach, dropdown now uses local CSS variables on .dropdown-menu, .dropdown-item and .dropdown-divider for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .dropdown-menu
          --#{$prefix}dropdown-zindex: #{$zindex-dropdown};
          --#{$prefix}dropdown-min-width: #{$dropdown-min-width};
          --#{$prefix}dropdown-padding-x: #{$dropdown-padding-x};
          --#{$prefix}dropdown-padding-y: #{$dropdown-padding-y};
          --#{$prefix}dropdown-spacer: #{$dropdown-spacer};
          @include rfs($dropdown-font-size, --#{$prefix}dropdown-font-size);
          --#{$prefix}dropdown-color: #{$dropdown-color};
          --#{$prefix}dropdown-bg: #{$dropdown-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-border-color};
          --#{$prefix}dropdown-border-radius: #{$dropdown-border-radius};
          --#{$prefix}dropdown-border-width: #{$dropdown-border-width};
          --#{$prefix}dropdown-inner-border-radius: #{$dropdown-inner-border-radius};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-divider-bg};
          --#{$prefix}dropdown-divider-margin-y: #{$dropdown-divider-margin-y};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-link-hover-color};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-link-disabled-color};
          --#{$prefix}dropdown-item-padding-x: #{$dropdown-item-padding-x};
          --#{$prefix}dropdown-item-padding-y: #{$dropdown-item-padding-y};
          --#{$prefix}dropdown-header-color: #{$dropdown-header-color};
          --#{$prefix}dropdown-header-padding-x: #{$dropdown-header-padding-x};
          --#{$prefix}dropdown-header-padding-y: #{$dropdown-header-padding-y};
          --#{$prefix}dropdown-item-border-radius: #{$dropdown-item-border-radius};
          --#{$prefix}dropdown-menu-animated-animation-duration: #{$dropdown-menu-animated-animation-duration};
          --#{$prefix}dropdown-menu-animated-animation-timing-function: #{$dropdown-menu-animated-animation-timing-function};

          // .dropdown-item
          --#{$prefix}dropdown-state-color: #{$dropdown-state-color};
          --#{$prefix}dropdown-state-background-color: #{$dropdown-state-background-color};

          // .dropdown-divider
          --#{$prefix}dropdown-divider-border-top-width: #{$dropdown-divider-border-top-width};
          --#{$prefix}dropdown-divider-border-top-bg: #{$dropdown-divider-bg};

          // .dropdown-menu-dark
          --#{$prefix}dropdown-color: #{$dropdown-dark-color};
          --#{$prefix}dropdown-bg: #{$dropdown-dark-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-dark-border-color};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-dark-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-dark-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-dark-link-hover-color};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-dark-divider-bg};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-dark-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-dark-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-dark-link-disabled-color};
          --#{$prefix}dropdown-header-color: #{$dropdown-dark-header-color};
        
        
    

SCSS variables

        
            
            $zindex-dropdown: 1000;
            $dropdown-min-width: 10rem;
            $dropdown-color: var(--#{$prefix}surface-color);
            $dropdown-padding-x: 0;
            $dropdown-padding-y: 0.5rem;
            $dropdown-margin-top: 0.125rem;
            $dropdown-box-shadow: $box-shadow-4;
            $dropdown-font-size: 0.875rem;
            $dropdown-item-border-radius: 0.5rem;
            $dropdown-item-padding-y: 0.5rem;
            $dropdown-item-padding-x: 1rem;
            $dropdown-border-radius: 0.5rem;
            $dropdown-divider-bg: var(--#{$prefix}divider-color);
            $dropdown-divider-border-top-width: 2px;
            $dropdown-divider-margin-y: $spacer * 0.5;
            $dropdown-state-color: var(--#{$prefix}surface-color);
            $dropdown-state-background-color: var(--#{$prefix}highlight-bg-color);
            $dropdown-menu-animated-animation-duration: 0.55s;
            $dropdown-menu-animated-animation-timing-function: ease;
            $dropdown-animation-duration: 1s;
            $dropdown-spacer: 0.125rem;
            $dropdown-bg: var(--#{$prefix}surface-bg);
            $dropdown-border-color: var(--#{$prefix}border-color-translucent);
            $dropdown-border-width: var(--#{$prefix}border-width);
            $dropdown-inner-border-radius: calc(
              #{$dropdown-border-radius} - #{$dropdown-border-width}
            )
            $dropdown-link-color: $dropdown-color;
            $dropdown-link-hover-color: $dropdown-link-color;
            $dropdown-link-hover-bg: var(--#{$prefix}tertiary-bg);
            $dropdown-link-active-color: $component-active-color;
            $dropdown-link-active-bg: $component-active-bg;
            $dropdown-link-disabled-color: var(--#{$prefix}tertiary-color);
            $dropdown-header-color: rgba(var(--#{$prefix}emphasis-color-rgb), 0.55);
            $dropdown-header-padding-x: $dropdown-item-padding-x;
            $dropdown-header-padding-y: $dropdown-padding-y;
            $dropdown-header-padding: $dropdown-header-padding-y $dropdown-header-padding-x;
            
            // dark
            $dropdown-dark-color: $gray-300;
            $dropdown-dark-bg: $gray-800;
            $dropdown-dark-border-color: $dropdown-border-color;
            $dropdown-dark-divider-bg: $dropdown-divider-bg;
            $dropdown-dark-box-shadow: null;
            $dropdown-dark-link-color: $dropdown-dark-color;
            $dropdown-dark-link-hover-color: $white;
            $dropdown-dark-link-hover-bg: rgba($white, 0.15);
            $dropdown-dark-link-active-color: $dropdown-link-active-color;
            $dropdown-dark-link-active-bg: $dropdown-link-active-bg;
            $dropdown-dark-link-disabled-color: $gray-500;
            $dropdown-dark-header-color: $gray-500;

Dropdowns

React Bootstrap 5 Dropdowns component

Toggle contextual overlays for displaying lists of links and more with the MDB dropdown component.

Note: Read the API tab to find all available options and advanced customization


Basic examples

Wrap the dropdown’s toggle and the dropdown menu within MDBDropdown. The examples shown here use semantic <ul> elements where appropriate, but custom markup is supported.

Regular button

Any single tag can be turned into a dropdown toggle with some markup changes. Here’s how you can put them to work with either <button> elements:

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownToggle>Dropdown button</MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem link>Action</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          

        
    

Colors

You can do this with any button variant:

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBDropdown group>
                  <MDBDropdownToggle color='primary'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
                <MDBDropdown group>
                  <MDBDropdownToggle color='success'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group>
                  <MDBDropdownToggle color='warning'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group>
                  <MDBDropdownToggle color='info'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group>
                  <MDBDropdownToggle color='danger'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group>
                  <MDBDropdownToggle color='dark'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group className='shadow-0'>
                  <MDBDropdownToggle color='light'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group className='shadow-0'>
                  <MDBDropdownToggle color='link'>Action</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </>
            );
          }                  

        
    

Split button

Similarly, create split button dropdowns with virtually the same markup as single button dropdowns, but with the addition of split attribute for proper spacing around the dropdown caret.

We use this extra class to reduce the horizontal padding on either side of the caret by 25% and remove the margin-left that’s added for regular button dropdowns. Those extra changes keep the caret centered in the split button and provide a more appropriately sized hit area next to the main button.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem, MDBBtn } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown className='btn-group'>
                <MDBBtn>Action</MDBBtn>
                <MDBDropdownToggle split></MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem link>Action</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }
                  

        
    

Sizing

Button dropdowns work with buttons of all sizes, including default and split dropdown buttons.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem, MDBBtn } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBDropdown group>
                  <MDBDropdownToggle size='lg'>Large button</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group>
                  <MDBBtn size='lg'> Large split button</MDBBtn>
                  <MDBDropdownToggle size='lg' split />
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group>
                  <MDBDropdownToggle size='sm'>Small button</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown group>
                  <MDBBtn size='sm'> Small split button</MDBBtn>
                  <MDBDropdownToggle size='sm' split />
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </>
            );
          }
          

        
    

Directions

Dropup

Trigger dropdown menus above elements by adding dropup attribute to the MDBDropdown element.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem, MDBBtn } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBDropdown dropup group>
                  <MDBDropdownToggle>Dropup</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown dropup group>
                  <MDBBtn>Split Dropup</MDBBtn>
                  <MDBDropdownToggle />
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </>
            );
          }          

        
    

Dropright

Trigger dropdown menus at the right of the elements by adding dropright attribute to the MDBDropdown element.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem, MDBBtn } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBDropdown dropright group>
                  <MDBDropdownToggle>Dropright</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown dropright group>
                  <MDBBtn>Split Dropright</MDBBtn>
                  <MDBDropdownToggle />
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </>
            );
          }          

        
    

Dropleft

Trigger dropdown menus at the left of the elements by adding dropleft attribute to the MDBDropdown element.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem, MDBBtn } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <>
                <MDBDropdown dropleft group>
                  <MDBDropdownToggle>Dropleft</MDBDropdownToggle>
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
          
                <MDBDropdown dropleft group>
                  <MDBBtn>Split Dropleft</MDBBtn>
                  <MDBDropdownToggle />
                  <MDBDropdownMenu>
                    <MDBDropdownItem link>Action</MDBDropdownItem>
                    <MDBDropdownItem link>Another action</MDBDropdownItem>
                    <MDBDropdownItem link>Something else here</MDBDropdownItem>
                    <MDBDropdownItem divider />
                    <MDBDropdownItem link>Separated link</MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              </>
            );
          }          

        
    

Menu items

Historically dropdown menu contents had to be links, but that’s no longer the case with v4. Now you can optionally use <button> elements in your dropdowns instead of just <a> tags.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownToggle>Dropdown</MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem link childTag='button'>
                    Action
                  </MDBDropdownItem>
                  <MDBDropdownItem link childTag='button'>
                    Another action
                  </MDBDropdownItem>
                  <MDBDropdownItem link childTag='button'>
                    Something else here
                  </MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          

        
    

You can also create non-interactive dropdown items with .dropdown-item-text. Feel free to style further with custom CSS or text utilities.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownMenu alwaysOpen>
                  <MDBDropdownItem link childTag='span' className='dropdown-item-text'>
                    Dropdown item text
                  </MDBDropdownItem>
                  <MDBDropdownItem link>Action</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          

        
    

Active

Add .active to items in the dropdown to style them as active. To convey the active state to assistive technologies, use the aria-current attribute — using the page value for the current page, or true for the current item in a set.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownMenu alwaysOpen>
                  <MDBDropdownItem link>Regular link</MDBDropdownItem>
                  <MDBDropdownItem link aria-current={true} className='active'>
                    Active link
                  </MDBDropdownItem>
                  <MDBDropdownItem link>Another link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          

        
    

Disabled

Add .disabled to items in the dropdown to style them as disabled.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownMenu alwaysOpen>
                  <MDBDropdownItem link>Regular link</MDBDropdownItem>
                  <MDBDropdownItem link disabled aria-disabled={true}>
                    Disabled link
                  </MDBDropdownItem>
                  <MDBDropdownItem link>Another link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          

        
    

Menu alignment

By default, a dropdown menu is automatically positioned 100% from the top and along the left side of its parent. Add responsive="end" to MDBDropdownMenu to right align the dropdown menu.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownMenu responsive='end'>
                  <MDBDropdownToggle>Right-aligned menu</MDBDropdownToggle>
                  <MDBDropdownItem link childTag='button'>
                    Action
                  </MDBDropdownItem>
                  <MDBDropdownItem link childTag='button'>
                    Another action
                  </MDBDropdownItem>
                  <MDBDropdownItem link childTag='button'>
                    Something else here
                  </MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          
          
        
    

Responsive alignment

To align right the dropdown menu with the given breakpoint or larger, add responsive="{sm|md|lg|xl|xxl}-end" property to MDBDropdownMenu.

        
            
            import React from 'react';
            import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBDropdown>
                  <MDBDropdownMenu responsive='lg-end'>
                    <MDBDropdownToggle>Left-aligned but right aligned when large screen</MDBDropdownToggle>
                    <MDBDropdownItem link childTag='button'>
                      Action
                    </MDBDropdownItem>
                    <MDBDropdownItem link childTag='button'>
                      Another action
                    </MDBDropdownItem>
                    <MDBDropdownItem link childTag='button'>
                      Something else here
                    </MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              );
            }            
            
        
    

To align left the dropdown menu with the given breakpoint or larger, add responsive="{sm|md|lg|xl|xxl}-start" property to MDBDropdownMenu.

Note that responsive by default accepts only one breakpoint. If you want your dropdown to handle multiple breakpoints you will have to add additional classes e.g. .dropdown-menu{-sm|-md|-lg|-xl|-xxl}-start

        
            
            import React from 'react';
            import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBDropdown>
                  <MDBDropdownMenu className='dropdown-menu-end' responsive='lg-start'>
                    <MDBDropdownToggle>Right-aligned but left aligned when large screen</MDBDropdownToggle>
                    <MDBDropdownItem link childTag='button'>
                      Action
                    </MDBDropdownItem>
                    <MDBDropdownItem link childTag='button'>
                      Another action
                    </MDBDropdownItem>
                    <MDBDropdownItem link childTag='button'>
                      Something else here
                    </MDBDropdownItem>
                  </MDBDropdownMenu>
                </MDBDropdown>
              );
            }
            
        
    

Alignment options

Taking most of the options shown above, here’s a small kitchen sink demo of various dropdown alignment options in one place.

        
            
            import React from 'react';
            import { MDBDropdown, MDBDropdownItem, MDBDropdownMenu, MDBDropdownToggle } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <>
                  <MDBDropdown>
                    <MDBDropdownToggle>Dropdown</MDBDropdownToggle>
                    <MDBDropdownMenu>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
            
                  <MDBDropdown>
                    <MDBDropdownToggle>Right-aligned menu</MDBDropdownToggle>
                    <MDBDropdownMenu responsive='end'>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
            
                  <MDBDropdown>
                    <MDBDropdownToggle>Left-aligned, right-aligned lg</MDBDropdownToggle>
                    <MDBDropdownMenu responsive='lg-end'>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
            
                  <MDBDropdown>
                    <MDBDropdownToggle>Right-aligned, left-aligned lg</MDBDropdownToggle>
                    <MDBDropdownMenu className='dropdown-menu-end' responsive='lg-start'>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
            
                  <MDBDropdown dropleft>
                    <MDBDropdownToggle>Dropstart</MDBDropdownToggle>
                    <MDBDropdownMenu>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
            
                  <MDBDropdown dropright>
                    <MDBDropdownToggle>Dropend</MDBDropdownToggle>
                    <MDBDropdownMenu>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
            
                  <MDBDropdown dropup>
                    <MDBDropdownToggle>Dropup</MDBDropdownToggle>
                    <MDBDropdownMenu>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                      <MDBDropdownItem link>Menu item</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
                </>
              );
            }            
            
        
    

Menu content

Headers

Add a header attribute to MDBDropdownItem to style it as a header.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownMenu alwaysOpen>
                  <MDBDropdownItem header>Dropdown header</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          
          
        
    

Dividers

Separate groups of related menu items with a divider.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownMenu alwaysOpen>
                  <MDBDropdownItem link>Action</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                  <MDBDropdownItem divider />
                  <MDBDropdownItem link>Separated link</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }

        
    

Text

Place any freeform text within a dropdown menu with text and use spacing utilities. Note that you’ll likely need additional sizing styles to constrain the menu width.

        
            
            import React from 'react';
            import { MDBDropdown, MDBDropdownMenu } from 'mdb-react-ui-kit';
            
            export default function App() {
              return (
                <MDBDropdown>
                  <MDBDropdownMenu className='p-4 text-muted' style={{ maxWidth: '200px' }} alwaysOpen>
                    <p>Some example text that's free-flowing within the dropdown menu.</p>
                    <p className='mb-0'>And this is more example text.</p>
                  </MDBDropdownMenu>
                </MDBDropdown>
              );
            }                       
            
        
    

Forms

Put a form within a dropdown menu, and use margin or padding utilities to give it the negative space you require.

        
            
              import React from 'react';
              import {
                MDBCol,
                MDBDropdown,
                MDBDropdownMenu,
                MDBDropdownToggle,
                MDBDropdownItem,
                MDBBtn,
                MDBInput,
                MDBCheckbox,
                MDBRow,
              } from 'mdb-react-ui-kit';

              export default function Template(): JSX.Element {
                return (
                  <MDBDropdown>
                    <MDBDropdownToggle>Dropdown button</MDBDropdownToggle>
                    <MDBDropdownMenu style={{ width: '320px' }}>
                      <form className='px-4 py-3'>
                        <MDBInput label='Email adress' type='email' className='mb-4' />
                        <MDBInput label='Password' type='password' className='mb-4' />
                        <MDBRow className='mb-4'>
                          <MDBCol className='d-flex justify-content-center'>
                            <MDBCheckbox className='d-flex justify-content-center' label='Remember me' />
                          </MDBCol>
                          <MDBCol>
                            <a href='#!'>Forgot password?</a>
                          </MDBCol>
                        </MDBRow>
                        <MDBBtn color='primary' className='btn-block'>
                          Sign in
                        </MDBBtn>
                      </form>
                      <div className='dropdown-divider'></div>
                      <MDBDropdownItem link>New around here? Sign up</MDBDropdownItem>
                      <MDBDropdownItem link>Forgot password?</MDBDropdownItem>
                    </MDBDropdownMenu>
                  </MDBDropdown>
                );
              }
            
        
    

Remove animation

To remove the fade animation on click, use animation attribute on the MDBDropdown element.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown animation={false}>
                <MDBDropdownToggle>Dropdown button</MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem link>Action</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          

        
    

Dropdown options

Use options prop to change options in dropdown.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown
                options={{
                  modifiers: [
                    {
                      name: 'offset',
                      options: {
                        offset: [10, 20],
                      },
                    },
                  ],
                }}
              >
                <MDBDropdownToggle>Dropdown button</MDBDropdownToggle>
                <MDBDropdownMenu>
                  <MDBDropdownItem link>Action</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }          

        
    

Dark variant

Add dark attribute onto an existing MDBDropdownMenu to match a dark navbar.

        
            
          import React from 'react';
          import { MDBDropdown, MDBDropdownMenu, MDBDropdownToggle, MDBDropdownItem } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBDropdown>
                <MDBDropdownToggle color='secondary'>Dropdown button</MDBDropdownToggle>
                <MDBDropdownMenu dark>
                  <MDBDropdownItem link>Action</MDBDropdownItem>
                  <MDBDropdownItem link>Another action</MDBDropdownItem>
                  <MDBDropdownItem link>Something else here</MDBDropdownItem>
                </MDBDropdownMenu>
              </MDBDropdown>
            );
          }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Dropdowns - API


Import

        
            
        import { 
          MDBDropdown,
          MDBDropdownMenu,
          MDBDropdownToggle,
          MDBDropdownItem,
        } from 'mdb-react-ui-kit';
      
        
    

Properties

MDBDropdown

Name Type Default Description Example
animation Boolean true Turn off/on animation to MDBDropdown element <MDBDropdown animation />
dropleft Boolean false Set placement with this prop to MDBDropdown element <MDBDropdown dropleft />
dropup Boolean false Set placement with this prop to MDBDropdown element <MDBDropdown dropup />
dropright Boolean false Set placement with this prop to MDBDropdown element <MDBDropdown dropright />
group Boolean false Set class group to MDBDropdown element <MDBDropdown group />
open Boolean false Set open dropdown on mounted in MDBDropdown element <MDBDropdown open />
options Object Set default options to MDBDropdown element <MDBDropdown options={{...}} />
tag String 'div' Defines tag of the MDBDropdown element <MDBDropdown tag="section" />
wrapper boolean true Defines whether the dropdown should create a .dropdown wrapper div or not. <MDBDropdown wrapper={false} />

MDBDropdowMenu

Name Type Default Description Example
alwaysOpen Boolean false Sets MDBDropdowMenu to be always open. <MDBDropdowMenu alwaysOpen />
appendToBody Boolean false If set to true MDBDropdowMenu is appended to body <MDBDropdowMenu appendToBody />
dark Boolean false Set dark mode theme to MDBDropdownMenu element <MDBDropdownMenu dark />
responsive String '' Defines the responsive alignment of the MDBDropdownMenu component. <MDBDropdownMenu responsive="lg-start" />
tag String 'ul' Defines tag of the MDBDropdownMenu element <MDBDropdownMenu tag="section" />

MDBDropdownToggle

Name Type Default Description Example
split Boolean false Set split to MDBDropdownToggle element if you add more buttons to split <MDBDropdownToggle split />
tag String 'MDBBtn' Defines tag of the MDBDropdownToggle element <MDBDropdownToggle tag="section" />

MDBDropdownItem

Name Type Default Description Example
childTag String '' Defines tag of the MDBDropdownItem children element <MDBDropdownItem childTag="button" />
disabled Boolean false Adds class .disabled to MDBDropdownItem when it's rendered as a link <MDBDropdownItem disabled link />
divider Boolean false Renders MDBDropdownItem as a divider <MDBDropdownItem divider />
header Boolean false Renders MDBDropdownItem as a header <MDBDropdownItem header />
href String '#' Defines href in MDBDropdownItem when it's rendered as a link <MDBDropdownItem link href='#home' />
link Boolean false Renders MDBDropdownItem as a link <MDBDropdownItem link />
tag String 'li' Defines tag of the MDBDropdownItem element <MDBDropdownItem tag="section" />

Events

MDBDropdown

Name Type Description
onClose () => any Fires when the dropdown demands to be closed.
onOpen () => any Fires when the dropdown demands to be opened.

CSS variables

As part of MDB’s evolving CSS variables approach, dropdown now uses local CSS variables on .dropdown-menu, .dropdown-item and .dropdown-divider for enhanced real-time customization. Values for the CSS variables are set via Sass, so Sass customization is still supported, too.

        
            
          // .dropdown-menu
          --#{$prefix}dropdown-zindex: #{$zindex-dropdown};
          --#{$prefix}dropdown-min-width: #{$dropdown-min-width};
          --#{$prefix}dropdown-padding-x: #{$dropdown-padding-x};
          --#{$prefix}dropdown-padding-y: #{$dropdown-padding-y};
          --#{$prefix}dropdown-spacer: #{$dropdown-spacer};
          --#{$prefix}dropdown-color: #{$dropdown-color};
          --#{$prefix}dropdown-bg: #{$dropdown-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-border-color};
          --#{$prefix}dropdown-border-radius: #{$dropdown-border-radius};
          --#{$prefix}dropdown-border-width: #{$dropdown-border-width};
          --#{$prefix}dropdown-inner-border-radius: #{$dropdown-inner-border-radius};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-divider-bg};
          --#{$prefix}dropdown-divider-margin-y: #{$dropdown-divider-margin-y};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-link-hover-color};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-link-disabled-color};
          --#{$prefix}dropdown-item-padding-x: #{$dropdown-item-padding-x};
          --#{$prefix}dropdown-item-padding-y: #{$dropdown-item-padding-y};
          --#{$prefix}dropdown-header-color: #{$dropdown-header-color};
          --#{$prefix}dropdown-header-padding-x: #{$dropdown-header-padding-x};
          --#{$prefix}dropdown-header-padding-y: #{$dropdown-header-padding-y};
          --#{$prefix}dropdown-item-border-radius: #{$dropdown-item-border-radius};
          --#{$prefix}dropdown-menu-animated-animation-duration: #{$dropdown-menu-animated-animation-duration};
          --#{$prefix}dropdown-menu-animated-animation-timing-function: #{$dropdown-menu-animated-animation-timing-function};

          // .dropdown-item
          --#{$prefix}dropdown-state-color: #{$dropdown-state-color};
          --#{$prefix}dropdown-state-background-color: #{$dropdown-state-background-color};

          // .dropdown-divider
          --#{$prefix}dropdown-divider-border-top-width: #{$dropdown-divider-border-top-width};
          --#{$prefix}dropdown-divider-border-top-bg: #{$dropdown-divider-bg};

          // .dropdown-menu-dark
          --#{$prefix}dropdown-color: #{$dropdown-dark-color};
          --#{$prefix}dropdown-bg: #{$dropdown-dark-bg};
          --#{$prefix}dropdown-border-color: #{$dropdown-dark-border-color};
          --#{$prefix}dropdown-box-shadow: #{$dropdown-dark-box-shadow};
          --#{$prefix}dropdown-link-color: #{$dropdown-dark-link-color};
          --#{$prefix}dropdown-link-hover-color: #{$dropdown-dark-link-hover-color};
          --#{$prefix}dropdown-divider-bg: #{$dropdown-dark-divider-bg};
          --#{$prefix}dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
          --#{$prefix}dropdown-link-active-color: #{$dropdown-dark-link-active-color};
          --#{$prefix}dropdown-link-active-bg: #{$dropdown-dark-link-active-bg};
          --#{$prefix}dropdown-link-disabled-color: #{$dropdown-dark-link-disabled-color};
          --#{$prefix}dropdown-header-color: #{$dropdown-dark-header-color};
        
        
    

SCSS variables

        
            
            $zindex-dropdown: 1000;
            $dropdown-color: $body-color;
            $dropdown-padding-x: 0;
            $dropdown-padding-y: 0.5rem;
            $dropdown-margin-top: 0.125rem;
            $dropdown-box-shadow: $box-shadow-4;
            $dropdown-font-size: 0.875rem;
            $dropdown-item-border-radius: 0.5rem;
            $dropdown-item-padding-y: 0.5rem;
            $dropdown-item-padding-x: 1rem;
            $dropdown-border-radius: 0.5rem;
            $dropdown-divider-bg: hsl(0, 0%, 96%);
            $dropdown-divider-border-top-width: 2px;
            $dropdown-divider-margin-y: $spacer * 0.5;
            $dropdown-state-color: #16181b;
            $dropdown-state-background-color: #eee;
            $dropdown-menu-animated-animation-duration: 0.55s;
            $dropdown-menu-animated-animation-timing-function: ease;
            $dropdown-animation-duration: 1s;
            $dropdown-min-width: 10rem;
            $dropdown-spacer: 0.125rem;
            $dropdown-color: $body-color;
            $dropdown-bg: $white;
            $dropdown-border-color: var(--#{$prefix}border-color-translucent);
            $dropdown-border-width: $border-width;
            $dropdown-inner-border-radius: subtract($dropdown-border-radius, $dropdown-border-width);
            $dropdown-link-color: $gray-900;
            $dropdown-link-hover-color: shade-color($dropdown-link-color, 10%);
            $dropdown-link-hover-bg: $gray-200;
            $dropdown-link-active-color: $component-active-color;
            $dropdown-link-active-bg: $component-active-bg;
            $dropdown-link-disabled-color: $gray-500;
            $dropdown-header-color: $gray-600;
            $dropdown-header-padding-x: $dropdown-item-padding-x;
            $dropdown-header-padding-y: $dropdown-padding-y;
            $dropdown-header-padding: $dropdown-header-padding-y $dropdown-header-padding-x;
            
            // dark
            $dropdown-dark-color: $gray-300;
            $dropdown-dark-bg: $gray-800;
            $dropdown-dark-border-color: $dropdown-border-color;
            $dropdown-dark-divider-bg: $dropdown-divider-bg;
            $dropdown-dark-box-shadow: null;
            $dropdown-dark-link-color: $dropdown-dark-color;
            $dropdown-dark-link-hover-color: $white;
            $dropdown-dark-link-hover-bg: rgba($white, 0.15);
            $dropdown-dark-link-active-color: $dropdown-link-active-color;
            $dropdown-dark-link-active-bg: $dropdown-link-active-bg;
            $dropdown-dark-link-disabled-color: $gray-500;
            $dropdown-dark-header-color: $gray-500;